json = {
    "components": [
        {
            "arguments": [
                {
                    "defaults": 10100,
                    "label": "X Size",
                    "name": "x_size",
                    "tooltip": "Chip dimension in the horizontal direction.",
                    "options": [5000, 5050, 10000, 10100, 20000, 20200],
                    "suffix": "μm",
                    "type": "select",
                },
                {
                    "defaults": 5050,
                    "label": "Y Size",
                    "name": "y_size",
                    "tooltip": "Chip dimension in the vertical direction.",
                    "options": [5000, 5050, 10000, 10100, 20000, 20200],
                    "suffix": "μm",
                    "type": "select",
                },
                {
                    "children": [
                        {
                            "defaults": 0,
                            "hideLabel": True,
                            "name": "x",
                            "prefix": "x",
                            "suffix": "μm",
                            "type": "number",
                        },
                        {
                            "defaults": 0,
                            "hideLabel": True,
                            "name": "y",
                            "prefix": "y",
                            "suffix": "μm",
                            "type": "number",
                        },
                    ],
                    "itemSpan": 12,
                    "label": "Center",
                    "name": "center",
                    "tooltip": "Center of the chip frame rectangle.",
                    "category": "tuple",
                    "type": "subForm",
                },
                {
                    "defaults": 50,
                    "label": "Exclusion Zone Width",
                    "name": "exclusion_zone_width",
                    "tooltip": "Width of the exclusion zone close to the chip edges.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.chip_frame",
            "label": "Chip Frame",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-5555.000000 -3030.000000 11110.000000 6060.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:30.300000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:30.300000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:30.300000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:30.300000;}.reference{fill:none;stroke:#221f20;stroke-width:21.210000;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:242.400000px;}.terminal{fill:none;stroke:#805080;stroke-width:30.300000;}.dashed{stroke-dasharray:151.500000,90.900000;}.port{fill:none;stroke:#805080;stroke-width:60.600000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:45.450000;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-121.200000 L 181.800000,0 0,121.200000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-90.900000 C 121.200000,-90.900000 121.200000,90.900000 0,90.900000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="54.540000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="63.630000" /></defs><g transform="scale(1 -1)"><g id="C0"><rect class="layer_6_0" x="-5000.000000" y="-2475.000000" width="10000.000000" height="4950.000000" /><rect class="layer_6_1" x="-5050.000000" y="-2525.000000" width="10100.000000" height="5050.000000" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "UniCPW",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing the transmission line cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 80.0,
                    "label": "Pad Width",
                    "name": "pad_width",
                    "tooltip": "Width of the central conductor on the pad side.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 30.0,
                    "label": "Length Straight",
                    "name": "length_straight",
                    "tooltip": "Length of the straight section of the taper on the pad side.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 100.0,
                    "label": "Length Tapered",
                    "name": "length_tapered",
                    "tooltip": "Length of the tapered section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.cpw_probe_pad_linear",
            "label": "CPW Probe Pad Linear",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-26.250000 -288.750000 182.500000 577.500000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.887500;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.887500;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.887500;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.887500;}.reference{fill:none;stroke:#221f20;stroke-width:2.021250;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:23.100000px;}.terminal{fill:none;stroke:#805080;stroke-width:2.887500;}.dashed{stroke-dasharray:14.437500,8.662500;}.port{fill:none;stroke:#805080;stroke-width:5.775000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:4.331250;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-11.550000 L 17.325000,0 0,11.550000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-8.662500 C 11.550000,-8.662500 11.550000,8.662500 0,8.662500" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="5.197500" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="6.063750" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_21_0" d="M 0.000000,-40.000000 30.000000,-40.000000 130.000000,-7.500000 130.000000,7.500000 30.000000,40.000000 0.000000,40.000000 z" /><path class="layer_21_0" d="M 0.000000,66.667000 30.000000,66.667000 130.000000,12.500000 130.000000,262.500000 0.000000,262.500000 z" /><path class="layer_21_0" d="M 0.000000,-262.500000 130.000000,-262.500000 130.000000,-12.500000 30.000000,-66.667000 0.000000,-66.667000 z" /><g transform="translate(130.000000 0.000000) rotate(180.000000)"><path class="port" d="M 0,-42.050000 V 42.050000" /><use href="#port-symbol" /></g><rect class="terminal" x="0.000000" y="66.666655" width="30.000000" height="195.833330" /><rect class="terminal" x="0.000000" y="-40.000000" width="30.000000" height="80.000000" /><rect class="terminal" x="0.000000" y="-262.499995" width="30.000000" height="195.833330" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 30.6,
                    "label": "Io Wg Sep",
                    "name": "io_wg_sep",
                    "tooltip": "Separation between the input/output waveguide centers.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 58.0,
                    "label": "S Bend Length",
                    "name": "s_bend_length",
                    "tooltip": "Length of the S bend sections.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 16.92,
                    "label": "Central Straight Length",
                    "name": "central_straight_length",
                    "tooltip": "Length of the coupling region.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.8,
                    "label": "Central Wg Width",
                    "name": "central_wg_width",
                    "tooltip": "Width of the waveguide in the coupling region.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.8,
                    "label": "Coupl Wg Sep",
                    "name": "coupl_wg_sep",
                    "tooltip": "Distance between the waveguides (edge-to-edge) in the coupling region.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.dir_coupl",
            "label": "Dir Coupl",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-73.106000 -26.946000 146.212000 53.892000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.269460;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.269460;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.269460;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.269460;}.reference{fill:none;stroke:#221f20;stroke-width:0.188622;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:2.155680px;}.terminal{fill:none;stroke:#805080;stroke-width:0.269460;}.dashed{stroke-dasharray:1.347300,0.808380;}.port{fill:none;stroke:#805080;stroke-width:0.538920;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.404190;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-1.077840 L 1.616760,0 0,1.077840" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.808380 C 1.077840,-0.808380 1.077840,0.808380 0,0.808380" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.485028" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.565866" /><g id="C1"><path class="layer_2_0" d="M 0.000000,-0.400000 16.920000,-0.400000 16.920000,0.400000 0.000000,0.400000 z" /><path class="layer_3_0" d="M 0.000000,-4.900000 16.920000,-4.900000 16.920000,4.900000 0.000000,4.900000 z" /></g><g id="C2"><path class="layer_2_0" d="M 0.000000,-0.400000 1.450000,-0.400000 2.900000,-0.388000 4.350000,-0.353000 5.800000,-0.286000 7.250000,-0.180000 7.975000,-0.110000 8.700000,-0.029000 9.425000,0.064000 10.150000,0.170000 10.875000,0.288000 11.600000,0.420000 12.325000,0.564000 13.050000,0.722000 13.775000,0.892000 14.500000,1.076000 15.225000,1.272000 15.950000,1.481000 16.675000,1.702000 17.400000,1.935000 18.125000,2.179000 18.850000,2.434000 20.300000,2.975000 21.750000,3.553000 23.200000,4.163000 24.650000,4.799000 26.100000,5.455000 29.000000,6.800000 31.900000,8.145000 33.350000,8.801000 34.800000,9.437000 36.250000,10.047000 37.700000,10.625000 39.150000,11.166000 39.875000,11.421000 40.600000,11.665000 41.325000,11.898000 42.050000,12.119000 42.775000,12.328000 43.500000,12.524000 44.225000,12.708000 44.950000,12.878000 45.675000,13.036000 46.400000,13.180000 47.125000,13.312000 47.850000,13.430000 48.575000,13.536000 49.300000,13.629000 50.025000,13.710000 50.750000,13.780000 52.200000,13.886000 53.650000,13.953000 55.100000,13.988000 56.550000,14.000000 58.000000,14.000000 58.000000,15.000000 55.825000,14.989000 54.375000,14.962000 52.925000,14.906000 51.475000,14.816000 50.750000,14.755000 50.025000,14.683000 49.300000,14.599000 48.575000,14.503000 47.850000,14.395000 47.125000,14.274000 46.400000,14.140000 45.675000,13.993000 44.950000,13.833000 44.225000,13.660000 43.500000,13.474000 42.775000,13.275000 42.050000,13.064000 41.325000,12.841000 39.875000,12.359000 38.425000,11.833000 36.975000,11.268000 35.525000,10.668000 34.075000,10.040000 32.625000,9.388000 31.175000,8.719000 28.275000,7.359000 25.375000,6.012000 23.925000,5.360000 22.475000,4.732000 21.025000,4.132000 19.575000,3.567000 18.125000,3.041000 16.675000,2.559000 15.950000,2.336000 15.225000,2.125000 14.500000,1.926000 13.775000,1.740000 13.050000,1.567000 12.325000,1.407000 11.600000,1.260000 10.875000,1.126000 10.150000,1.005000 9.425000,0.897000 8.700000,0.801000 7.975000,0.717000 7.250000,0.645000 6.525000,0.584000 5.800000,0.534000 4.350000,0.462000 2.900000,0.422000 1.450000,0.405000 0.000000,0.400000 z" /><path class="layer_3_0" d="M 0.000000,-4.900000 1.450000,-4.900000 2.900000,-4.888000 4.350000,-4.853000 5.800000,-4.786000 7.250000,-4.680000 7.975000,-4.610000 8.700000,-4.529000 9.425000,-4.436000 10.150000,-4.330000 10.875000,-4.212000 11.600000,-4.080000 12.325000,-3.936000 13.050000,-3.778000 13.775000,-3.608000 14.500000,-3.424000 15.225000,-3.228000 15.950000,-3.019000 16.675000,-2.798000 17.400000,-2.565000 18.125000,-2.321000 18.850000,-2.066000 20.300000,-1.525000 21.750000,-0.947000 23.200000,-0.337000 24.650000,0.299000 26.100000,0.955000 29.000000,2.300000 31.900000,3.645000 33.350000,4.301000 34.800000,4.937000 36.250000,5.547000 37.700000,6.125000 39.150000,6.666000 39.875000,6.921000 40.600000,7.165000 41.325000,7.398000 42.050000,7.619000 42.775000,7.828000 43.500000,8.024000 44.225000,8.208000 44.950000,8.378000 45.675000,8.536000 46.400000,8.680000 47.125000,8.812000 47.850000,8.930000 48.575000,9.036000 49.300000,9.129000 50.025000,9.210000 50.750000,9.280000 52.200000,9.386000 53.650000,9.453000 55.100000,9.488000 56.550000,9.500000 58.000000,9.500000 58.000000,19.500000 55.825000,19.489000 54.375000,19.462000 52.925000,19.406000 51.475000,19.316000 50.750000,19.255000 50.025000,19.183000 49.300000,19.099000 48.575000,19.003000 47.850000,18.895000 47.125000,18.774000 46.400000,18.640000 45.675000,18.493000 44.950000,18.333000 44.225000,18.160000 43.500000,17.974000 42.775000,17.775000 42.050000,17.564000 41.325000,17.341000 39.875000,16.859000 38.425000,16.333000 36.975000,15.768000 35.525000,15.168000 34.075000,14.540000 32.625000,13.888000 31.175000,13.219000 28.275000,11.859000 25.375000,10.512000 23.925000,9.860000 22.475000,9.232000 21.025000,8.632000 19.575000,8.067000 18.125000,7.541000 16.675000,7.059000 15.950000,6.836000 15.225000,6.625000 14.500000,6.426000 13.775000,6.240000 13.050000,6.067000 12.325000,5.907000 11.600000,5.760000 10.875000,5.626000 10.150000,5.505000 9.425000,5.397000 8.700000,5.301000 7.975000,5.217000 7.250000,5.145000 6.525000,5.084000 5.800000,5.034000 4.350000,4.962000 2.900000,4.922000 1.450000,4.905000 0.000000,4.900000 z" /></g></defs><g transform="scale(1 -1)"><g id="C0"><use transform="translate(-8.460000 0.800000)" href="#C1" /><use transform="translate(-8.460000 -0.800000)" href="#C1" /><use transform="translate(-8.460000 -0.800000) rotate(180.000000)" href="#C2" /><use transform="translate(-8.460000 0.800000) rotate(180.000000) scale(1 -1)" href="#C2" /><use transform="translate(8.460000 -0.800000) scale(1 -1)" href="#C2" /><use transform="translate(8.460000 0.800000)" href="#C2" /><g transform="translate(66.460000 15.300000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(66.460000 -15.300000) rotate(-180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-66.460000 15.300000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-66.460000 -15.300000) rotate(360.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "SWG250",
                    "label": "Start Port Spec",
                    "name": "start_port_spec",
                    "tooltip": "Port specification describing the wire waveguide.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": "RWG1000",
                    "label": "End Port Spec",
                    "name": "end_port_spec",
                    "tooltip": "Port specification describing rib waveguide.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 2.05,
                    "label": "Lower Taper End Width",
                    "name": "lower_taper_end_width",
                    "tooltip": "Lower taper width at the start of the upper taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 120.0,
                    "label": "Lower Taper Length",
                    "name": "lower_taper_length",
                    "tooltip": "Length of the wire waveguide taper section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.25,
                    "label": "Upper Taper Start Width",
                    "name": "upper_taper_start_width",
                    "tooltip": "The start width of the rib waveguide section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 240.0,
                    "label": "Upper Taper Length",
                    "name": "upper_taper_length",
                    "tooltip": "Length of the rib waveguide taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 20.0,
                    "label": "Slab Removal Width",
                    "name": "slab_removal_width",
                    "tooltip": "Width of the region where the slab is removed close to the coupler (for fabrication in positive tone).",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.0,
                    "label": "Input Ext",
                    "name": "input_ext",
                    "tooltip": "Length of a straight segment extending beyond the lower taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.double_linear_inverse_taper",
            "label": "Double Linear Inverse Taper",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-18.000000 -28.000000 396.000000 56.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.280000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.280000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.280000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.280000;}.reference{fill:none;stroke:#221f20;stroke-width:0.196000;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:2.240000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.280000;}.dashed{stroke-dasharray:1.400000,0.840000;}.port{fill:none;stroke:#805080;stroke-width:0.560000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.420000;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-1.120000 L 1.680000,0 0,1.120000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.840000 C 1.120000,-0.840000 1.120000,0.840000 0,0.840000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.504000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.588000" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 120.000000,-0.125000 360.000000,-0.500000 360.000000,0.500000 120.000000,0.125000 z" /><path class="layer_3_0" d="M 0.000000,-0.125000 360.000000,-2.825000 360.000000,2.825000 0.000000,0.125000 z" /><rect class="layer_3_1" x="0.000000" y="-10.000000" width="360.000000" height="20.000000" /><g transform="translate(360.000000 0.000000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-5.000000 V 5.000000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification for the optical waveguide.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": "UniCPW-EO",
                    "label": "Tl Port Spec",
                    "name": "tl_port_spec",
                    "tooltip": "Port specification for the CPW transmission line.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 100.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the tapering section between the modulation and routing waveguides.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 2.5,
                    "label": "Rib Core Width Modulator",
                    "name": "rib_core_width_modulator",
                    "tooltip": "Waveguide core width in the phase modulation section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1000.0,
                    "label": "Modulation Length",
                    "name": "modulation_length",
                    "tooltip": "Length of the phase modulation section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": True,
                    "label": "Draw CPW",
                    "name": "draw_cpw",
                    "tooltip": "If ``False``, the CPW transmission line is not included.",
                    "type": "checkbox",
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.eo_phase_shifter",
            "label": "EO Phase Shifter",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-50.000000 -239.000000 1100.000000 478.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.390000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.390000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.390000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:2.390000;}.reference{fill:none;stroke:#221f20;stroke-width:1.673000;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:19.120000px;}.terminal{fill:none;stroke:#805080;stroke-width:2.390000;}.dashed{stroke-dasharray:11.950000,7.170000;}.port{fill:none;stroke:#805080;stroke-width:4.780000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:3.585000;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-9.560000 L 14.340000,0 0,9.560000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-7.170000 C 9.560000,-7.170000 9.560000,7.170000 0,7.170000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="4.302000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="5.019000" /><g id="C1"><path class="layer_2_0" d="M 0.000000,-0.500000 20.000000,-0.650000 40.000000,-0.800000 60.000000,-0.950000 80.000000,-1.100000 100.000000,-1.250000 100.000000,1.250000 80.000000,1.100000 60.000000,0.950000 40.000000,0.800000 20.000000,0.650000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 20.000000,-5.150000 40.000000,-5.300000 60.000000,-5.450000 80.000000,-5.600000 100.000000,-5.750000 100.000000,5.750000 80.000000,5.600000 60.000000,5.450000 40.000000,5.300000 20.000000,5.150000 0.000000,5.000000 z" /></g><g id="C2"><path class="layer_2_0" d="M 0.000000,-1.250000 800.000000,-1.250000 800.000000,1.250000 0.000000,1.250000 z" /><path class="layer_3_0" d="M 0.000000,-5.750000 800.000000,-5.750000 800.000000,5.750000 0.000000,5.750000 z" /></g><g id="C3"><path class="layer_21_0" d="M 0.000000,9.000000 1000.000000,9.000000 1000.000000,189.000000 0.000000,189.000000 z" /><path class="layer_21_0" d="M 0.000000,-189.000000 1000.000000,-189.000000 1000.000000,-9.000000 0.000000,-9.000000 z" /><path class="layer_21_0" d="M 0.000000,-5.000000 1000.000000,-5.000000 1000.000000,5.000000 0.000000,5.000000 z" /></g></defs><g transform="scale(1 -1)"><g id="C0"><use transform="translate(0.000000 7.000000)" href="#C1" /><use transform="translate(100.000000 7.000000)" href="#C2" /><use transform="translate(1000.000000 7.000000) rotate(180.000000)" href="#C1" /><use transform="translate(0.000000 0.000000)" href="#C3" /><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-28.550000 V 28.550000" /><use href="#port-symbol" /></g><g transform="translate(1000.000000 0.000000) rotate(180.000000)"><path class="port" d="M 0,-28.550000 V 28.550000" /><use href="#port-symbol" /></g><g transform="translate(1000.000000 7.000000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 7.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 700.0,
                    "label": "Wg Length",
                    "name": "wg_length",
                    "tooltip": "Waveguide length.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.0,
                    "label": "Heater Width",
                    "name": "heater_width",
                    "tooltip": "Heater wire width.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.22,
                    "label": "Heater Offset",
                    "name": "heater_offset",
                    "tooltip": "Offset between the heater wire and waveguide centers.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "children": [
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "x",
                            "prefix": "x",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "y",
                            "prefix": "y",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                    ],
                    "itemSpan": 12,
                    "label": "Pad Size",
                    "name": "pad_size",
                    "tooltip": "Size of the heater bonding pad.",
                    "category": "tuple",
                    "type": "subForm",
                },
                {
                    "defaults": 10.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the wedge connecting the pad to the heater.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": True,
                    "label": "Draw Heater",
                    "name": "draw_heater",
                    "tooltip": "Flag indicating whether to include the heater or not.",
                    "type": "checkbox",
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.heated_straight_waveguide",
            "label": "Heated Straight Waveguide",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-88.350000 -151.570000 876.700000 196.420000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.982100;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.982100;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.982100;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.982100;}.reference{fill:none;stroke:#221f20;stroke-width:0.687470;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:7.856800px;}.terminal{fill:none;stroke:#805080;stroke-width:0.982100;}.dashed{stroke-dasharray:4.910500,2.946300;}.port{fill:none;stroke:#805080;stroke-width:1.964200;}.virtual-connection{fill:none;stroke:#907090;stroke-width:1.473150;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-3.928400 L 5.892600,0 0,3.928400" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-2.946300 C 3.928400,-2.946300 3.928400,2.946300 0,2.946300" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="1.767780" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="2.062410" /><g id="C1"><path class="layer_2_0" d="M 0.000000,-0.500000 700.000000,-0.500000 700.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 700.000000,-5.000000 700.000000,5.000000 0.000000,5.000000 z" /></g><g id="C2"><use transform="translate(1.500000 60.500000) rotate(-90.000000)" href="#C3" /><use transform="translate(698.500000 60.500000) rotate(-90.000000)" href="#C3" /><path class="layer_21_1" d="M 0.000000,-0.500000 700.000000,-0.500000 700.000000,0.500000 0.000000,0.500000 z" /><rect class="terminal dashed" x="648.500000" y="10.500000" width="100.000000" height="100.000000" transform="translate(698.500000 60.500000) rotate(-90.000000) translate(-698.500000 -60.500000)" /><rect class="terminal dashed" x="-48.500000" y="10.500000" width="100.000000" height="100.000000" transform="translate(1.500000 60.500000) rotate(-90.000000) translate(-1.500000 -60.500000)" /></g><g id="C3"><path class="layer_21_1" d="M 50.000000,50.000000 -50.000000,50.000000 -50.000000,-50.000000 50.000000,-50.000000 50.000000,-9.583000 60.000000,-1.500000 60.000000,1.500000 50.000000,9.583000 z" /><rect class="terminal dashed" x="60.000000" y="-1.500000" width="0.000000" height="3.000000" /><rect class="terminal dashed" x="-50.000000" y="-50.000000" width="100.000000" height="100.000000" /></g></defs><g transform="scale(1 -1)"><g id="C0"><use transform="translate(0.000000 0.000000)" href="#C1" /><use transform="translate(0.000000 1.220000)" href="#C2" /><g transform="translate(700.000000 0.000000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><rect class="terminal" x="648.500000" y="11.720000" width="100.000000" height="100.000000" transform="translate(698.500000 61.720000) rotate(-90.000000) translate(-698.500000 -61.720000)" /><rect class="terminal" x="-48.500000" y="11.720000" width="100.000000" height="100.000000" transform="translate(1.500000 61.720000) rotate(-90.000000) translate(-1.500000 -61.720000)" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "children": [
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "x",
                            "prefix": "x",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "y",
                            "prefix": "y",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                    ],
                    "itemSpan": 12,
                    "label": "Pad Size",
                    "name": "pad_size",
                    "tooltip": "Size of the bonding pad.",
                    "category": "tuple",
                    "type": "subForm",
                },
                {
                    "defaults": 10.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the wedge connecting the pad to the heater.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 2.7,
                    "label": "Contact Width",
                    "name": "contact_width",
                    "tooltip": "Width of the connection to the heater.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.heater_pad",
            "label": "Heater Pad",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-55.500000 -55.500000 121.000000 111.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.555000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.555000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.555000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.555000;}.reference{fill:none;stroke:#221f20;stroke-width:0.388500;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:4.440000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.555000;}.dashed{stroke-dasharray:2.775000,1.665000;}.port{fill:none;stroke:#805080;stroke-width:1.110000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.832500;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-2.220000 L 3.330000,0 0,2.220000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-1.665000 C 2.220000,-1.665000 2.220000,1.665000 0,1.665000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.999000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="1.165500" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_21_1" d="M 50.000000,50.000000 -50.000000,50.000000 -50.000000,-50.000000 50.000000,-50.000000 50.000000,-9.458000 60.000000,-1.350000 60.000000,1.350000 50.000000,9.458000 z" /><rect class="terminal" x="60.000000" y="-1.350000" width="0.000000" height="2.700000" /><rect class="terminal" x="-50.000000" y="-50.000000" width="100.000000" height="100.000000" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": 150.0,
                    "label": "Heater Length",
                    "name": "heater_length",
                    "tooltip": "Heater wire length.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.0,
                    "label": "Heater Width",
                    "name": "heater_width",
                    "tooltip": "Heater wire width.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "children": [
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "x",
                            "prefix": "x",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                        {
                            "defaults": 100.0,
                            "hideLabel": True,
                            "name": "y",
                            "prefix": "y",
                            "suffix": "μm",
                            "type": "number",
                            "validates": ["min"],
                            "validatesArgs": {"min": [0]},
                        },
                    ],
                    "itemSpan": 12,
                    "label": "Pad Size",
                    "name": "pad_size",
                    "tooltip": "Size of the heater bonding pad.",
                    "category": "tuple",
                    "type": "subForm",
                },
                {
                    "defaults": 10.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the wedge connecting the pad to the heater.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.heater_straight",
            "label": "Heater Straight",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-60.850000 -122.850000 271.700000 135.700000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.678500;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.678500;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.678500;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.678500;}.reference{fill:none;stroke:#221f20;stroke-width:0.474950;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:5.428000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.678500;}.dashed{stroke-dasharray:3.392500,2.035500;}.port{fill:none;stroke:#805080;stroke-width:1.357000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:1.017750;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-2.714000 L 4.071000,0 0,2.714000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-2.035500 C 2.714000,-2.035500 2.714000,2.035500 0,2.035500" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="1.221300" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="1.424850" /><g id="C1"><path class="layer_21_1" d="M 50.000000,50.000000 -50.000000,50.000000 -50.000000,-50.000000 50.000000,-50.000000 50.000000,-9.583000 60.000000,-1.500000 60.000000,1.500000 50.000000,9.583000 z" /><rect class="terminal dashed" x="60.000000" y="-1.500000" width="0.000000" height="3.000000" /><rect class="terminal dashed" x="-50.000000" y="-50.000000" width="100.000000" height="100.000000" /></g></defs><g transform="scale(1 -1)"><g id="C0"><use transform="translate(1.500000 60.500000) rotate(-90.000000)" href="#C1" /><use transform="translate(148.500000 60.500000) rotate(-90.000000)" href="#C1" /><path class="layer_21_1" d="M 0.000000,-0.500000 150.000000,-0.500000 150.000000,0.500000 0.000000,0.500000 z" /><rect class="terminal" x="98.500000" y="10.500000" width="100.000000" height="100.000000" transform="translate(148.500000 60.500000) rotate(-90.000000) translate(-148.500000 -60.500000)" /><rect class="terminal" x="-48.500000" y="10.500000" width="100.000000" height="100.000000" transform="translate(1.500000 60.500000) rotate(-90.000000) translate(-1.500000 -60.500000)" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 80.0,
                    "label": "Effective Radius",
                    "name": "effective_radius",
                    "tooltip": "Effective radius of the bend (horizontal/vertical extent).",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.0,
                    "label": "Euler Fraction",
                    "name": "euler_fraction",
                    "tooltip": "Fraction of the bend that is created using an Euler spiral (see :func:`photonforge.Path.arc`).",
                    "type": "number",
                    "validatesArgs": {"min": [0], "max": [1]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.l_turn_bend",
            "label": "L Turn Bend",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-4.250000 -84.250000 93.500000 93.500000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.467500;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.467500;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.467500;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.467500;}.reference{fill:none;stroke:#221f20;stroke-width:0.327250;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:3.740000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.467500;}.dashed{stroke-dasharray:2.337500,1.402500;}.port{fill:none;stroke:#805080;stroke-width:0.935000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.701250;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-1.870000 L 2.805000,0 0,1.870000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-1.402500 C 1.870000,-1.402500 1.870000,1.402500 0,1.402500" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.841500" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.981750" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 0.000000,-0.500000 4.201000,-0.496000 8.406000,-0.466000 10.509000,-0.433000 12.612000,-0.384000 14.716000,-0.316000 16.820000,-0.225000 18.923000,-0.108000 21.025000,0.038000 23.125000,0.216000 24.175000,0.318000 26.271000,0.551000 27.317000,0.682000 28.363000,0.824000 29.407000,0.976000 30.450000,1.140000 31.490000,1.315000 32.530000,1.503000 33.566000,1.703000 34.601000,1.915000 35.633000,2.141000 36.662000,2.380000 37.688000,2.633000 38.711000,2.900000 39.730000,3.181000 40.745000,3.478000 41.755000,3.789000 42.761000,4.117000 43.762000,4.460000 44.757000,4.819000 45.746000,5.195000 46.729000,5.587000 47.706000,5.996000 48.675000,6.423000 49.636000,6.867000 50.590000,7.329000 51.534000,7.808000 52.470000,8.306000 53.395000,8.822000 54.311000,9.357000 55.215000,9.910000 56.108000,10.481000 56.989000,11.072000 57.857000,11.682000 58.712000,12.310000 59.553000,12.957000 60.379000,13.624000 61.189000,14.309000 61.984000,15.013000 62.762000,15.737000 63.522000,16.478000 64.263000,17.238000 64.987000,18.016000 65.691000,18.811000 66.376000,19.621000 67.043000,20.447000 67.690000,21.288000 68.318000,22.143000 68.928000,23.011000 69.519000,23.892000 70.090000,24.785000 70.643000,25.689000 71.178000,26.605000 71.694000,27.530000 72.192000,28.466000 72.671000,29.410000 73.133000,30.364000 73.577000,31.325000 74.004000,32.294000 74.413000,33.271000 74.805000,34.254000 75.181000,35.243000 75.540000,36.238000 75.883000,37.239000 76.211000,38.245000 76.522000,39.255000 76.819000,40.270000 77.100000,41.289000 77.367000,42.312000 77.620000,43.338000 77.859000,44.367000 78.085000,45.399000 78.297000,46.434000 78.497000,47.470000 78.685000,48.510000 78.860000,49.550000 79.024000,50.593000 79.176000,51.637000 79.318000,52.683000 79.449000,53.729000 79.682000,55.826000 79.877000,57.925000 80.039000,60.026000 80.170000,62.129000 80.273000,64.232000 80.352000,66.336000 80.411000,68.440000 80.451000,70.543000 80.477000,72.646000 80.498000,76.849000 80.500000,80.000000 79.500000,80.000000 79.498000,76.851000 79.477000,72.655000 79.451000,70.559000 79.411000,68.463000 79.353000,66.368000 79.274000,64.275000 79.171000,62.184000 79.041000,60.095000 78.881000,58.009000 78.687000,55.927000 78.456000,53.849000 78.326000,52.812000 78.186000,51.777000 78.035000,50.743000 77.873000,49.711000 77.699000,48.681000 77.514000,47.654000 77.317000,46.629000 77.107000,45.606000 76.884000,44.587000 76.648000,43.571000 76.398000,42.558000 76.135000,41.549000 75.857000,40.544000 75.564000,39.543000 75.257000,38.547000 74.935000,37.556000 74.597000,36.570000 74.243000,35.590000 73.874000,34.616000 73.488000,33.649000 73.085000,32.689000 72.666000,31.736000 72.229000,30.791000 71.776000,29.855000 71.305000,28.927000 70.816000,28.009000 70.309000,27.100000 69.785000,26.202000 69.243000,25.315000 68.682000,24.440000 68.103000,23.577000 67.506000,22.726000 66.891000,21.889000 66.257000,21.066000 65.605000,20.258000 64.935000,19.465000 64.246000,18.688000 63.539000,17.928000 62.815000,17.185000 62.072000,16.461000 61.312000,15.754000 60.535000,15.065000 59.742000,14.395000 58.934000,13.743000 58.111000,13.109000 57.274000,12.494000 56.423000,11.897000 55.560000,11.318000 54.685000,10.757000 53.798000,10.215000 52.900000,9.691000 51.991000,9.184000 51.073000,8.695000 50.145000,8.224000 49.209000,7.771000 48.264000,7.334000 47.311000,6.915000 46.351000,6.512000 45.384000,6.126000 44.410000,5.757000 43.430000,5.403000 42.444000,5.065000 41.453000,4.743000 40.457000,4.436000 39.456000,4.143000 38.451000,3.865000 37.442000,3.602000 36.429000,3.352000 35.413000,3.116000 34.394000,2.893000 33.371000,2.683000 32.346000,2.486000 31.319000,2.301000 30.289000,2.127000 29.257000,1.965000 28.223000,1.814000 27.188000,1.674000 26.151000,1.544000 25.113000,1.424000 23.033000,1.212000 20.948000,1.035000 18.861000,0.890000 16.771000,0.774000 14.678000,0.684000 12.585000,0.616000 10.489000,0.567000 8.393000,0.534000 6.296000,0.514000 4.198000,0.504000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 4.215000,-4.996000 8.461000,-4.965000 10.595000,-4.932000 12.736000,-4.882000 14.885000,-4.812000 17.040000,-4.719000 19.202000,-4.599000 21.370000,-4.449000 23.542000,-4.264000 25.719000,-4.043000 26.809000,-3.917000 27.899000,-3.780000 28.990000,-3.632000 30.081000,-3.473000 31.172000,-3.301000 32.263000,-3.118000 33.354000,-2.921000 34.444000,-2.711000 35.534000,-2.487000 36.622000,-2.249000 37.709000,-1.997000 38.795000,-1.729000 39.879000,-1.446000 40.960000,-1.147000 42.039000,-0.832000 43.114000,-0.500000 44.186000,-0.152000 45.255000,0.215000 46.319000,0.599000 47.379000,1.001000 48.433000,1.422000 49.482000,1.862000 50.524000,2.320000 51.560000,2.799000 52.589000,3.297000 53.610000,3.815000 54.622000,4.354000 55.625000,4.913000 56.619000,5.494000 57.602000,6.095000 58.574000,6.717000 59.535000,7.361000 60.483000,8.027000 61.417000,8.714000 62.338000,9.423000 63.244000,10.154000 64.134000,10.907000 65.008000,11.682000 65.865000,12.478000 66.704000,13.296000 67.522000,14.135000 68.318000,14.992000 69.093000,15.866000 69.846000,16.756000 70.577000,17.662000 71.286000,18.583000 71.973000,19.517000 72.639000,20.465000 73.283000,21.426000 73.905000,22.398000 74.506000,23.381000 75.087000,24.375000 75.646000,25.378000 76.185000,26.390000 76.703000,27.411000 77.201000,28.440000 77.680000,29.476000 78.138000,30.518000 78.578000,31.567000 78.999000,32.621000 79.401000,33.681000 79.785000,34.745000 80.152000,35.814000 80.500000,36.886000 80.832000,37.961000 81.147000,39.040000 81.446000,40.121000 81.729000,41.205000 81.997000,42.291000 82.249000,43.378000 82.487000,44.466000 82.711000,45.556000 82.921000,46.646000 83.118000,47.737000 83.301000,48.828000 83.473000,49.919000 83.632000,51.010000 83.780000,52.101000 83.917000,53.191000 84.043000,54.281000 84.264000,56.458000 84.449000,58.630000 84.599000,60.798000 84.719000,62.960000 84.812000,65.115000 84.882000,67.264000 84.932000,69.405000 84.965000,71.539000 84.996000,75.785000 85.000000,80.000000 75.000000,80.000000 74.999000,77.904000 74.986000,73.735000 74.966000,71.662000 74.934000,69.597000 74.886000,67.540000 74.819000,65.491000 74.731000,63.450000 74.618000,61.419000 74.478000,59.397000 74.307000,57.384000 74.104000,55.383000 73.864000,53.394000 73.730000,52.404000 73.586000,51.417000 73.431000,50.434000 73.266000,49.454000 73.090000,48.478000 72.903000,47.507000 72.704000,46.539000 72.494000,45.576000 72.271000,44.618000 72.036000,43.665000 71.789000,42.716000 71.528000,41.774000 71.254000,40.837000 70.967000,39.906000 70.667000,38.981000 70.352000,38.063000 70.023000,37.152000 69.680000,36.249000 69.323000,35.353000 68.950000,34.465000 68.563000,33.586000 68.161000,32.715000 67.744000,31.854000 67.312000,31.003000 66.864000,30.161000 66.401000,29.330000 65.922000,28.511000 65.428000,27.702000 64.918000,26.906000 64.393000,26.123000 63.852000,25.352000 63.295000,24.595000 62.723000,23.852000 62.135000,23.123000 61.532000,22.410000 60.914000,21.713000 60.281000,21.032000 59.633000,20.367000 58.968000,19.719000 58.287000,19.086000 57.590000,18.468000 56.877000,17.865000 56.148000,17.277000 55.405000,16.705000 54.648000,16.148000 53.877000,15.607000 53.094000,15.082000 52.298000,14.572000 51.489000,14.078000 50.670000,13.599000 49.839000,13.136000 48.998000,12.688000 48.146000,12.256000 47.285000,11.839000 46.414000,11.437000 45.535000,11.050000 44.647000,10.677000 43.751000,10.320000 42.848000,9.977000 41.937000,9.648000 41.019000,9.333000 40.094000,9.033000 39.163000,8.746000 38.226000,8.472000 37.284000,8.211000 36.335000,7.964000 35.382000,7.729000 34.424000,7.506000 33.461000,7.296000 32.493000,7.097000 31.522000,6.910000 30.546000,6.734000 29.566000,6.569000 28.583000,6.414000 27.596000,6.270000 26.606000,6.136000 24.617000,5.896000 22.616000,5.693000 20.603000,5.522000 18.581000,5.382000 16.550000,5.269000 14.509000,5.181000 12.460000,5.114000 10.403000,5.066000 8.338000,5.034000 6.265000,5.014000 4.184000,5.004000 0.000000,5.000000 z" /><g transform="translate(80.000000 80.000000) rotate(-90.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 6.0,
                    "label": "Width",
                    "name": "width",
                    "tooltip": "Width of the MMI section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 26.75,
                    "label": "Length",
                    "name": "length",
                    "tooltip": "Length of the MMI section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.5,
                    "label": "Taper Width",
                    "name": "taper_width",
                    "tooltip": "Width of the taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 25.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.55,
                    "label": "Port Ratio",
                    "name": "port_ratio",
                    "tooltip": "Ratio of the distance between the waveguides and the MMI width.",
                    "type": "number",
                    "validatesArgs": {"min": [0], "max": [1]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.mmi1x2",
            "label": "MMI 1×2",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-28.837500 -11.337500 84.425000 22.675000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.113375;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.113375;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.113375;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.113375;}.reference{fill:none;stroke:#221f20;stroke-width:0.079363;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:0.907000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.113375;}.dashed{stroke-dasharray:0.566875,0.340125;}.port{fill:none;stroke:#805080;stroke-width:0.226750;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.170063;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-0.453500 L 0.680250,0 0,0.453500" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.340125 C 0.453500,-0.340125 0.453500,0.340125 0,0.340125" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.204075" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.238088" /></defs><g transform="scale(1 -1)"><g id="C0"><rect class="layer_2_0" x="0.000000" y="-3.000000" width="26.750000" height="6.000000" /><path class="layer_2_0" d="M -25.000000,-0.500000 -12.500000,-0.625000 0.000000,-0.750000 0.000000,0.750000 -12.500000,0.625000 -25.000000,0.500000 z" /><path class="layer_2_0" d="M 51.750000,-1.150000 39.250000,-1.025000 26.750000,-0.900000 26.750000,-2.400000 39.250000,-2.275000 51.750000,-2.150000 z" /><path class="layer_2_0" d="M 51.750000,2.150000 39.250000,2.275000 26.750000,2.400000 26.750000,0.900000 39.250000,1.025000 51.750000,1.150000 z" /><rect class="layer_3_0" x="0.000000" y="-7.500000" width="26.750000" height="15.000000" /><path class="layer_3_0" d="M -25.000000,-5.000000 0.000000,-5.000000 0.000000,5.000000 -25.000000,5.000000 z" /><path class="layer_3_0" d="M 51.750000,3.350000 26.750000,3.350000 26.750000,-6.650000 51.750000,-6.650000 z" /><path class="layer_3_0" d="M 51.750000,6.650000 26.750000,6.650000 26.750000,-3.350000 51.750000,-3.350000 z" /><g transform="translate(51.750000 1.650000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(51.750000 -1.650000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-25.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 5.0,
                    "label": "Width",
                    "name": "width",
                    "tooltip": "Width of the MMI section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 76.5,
                    "label": "Length",
                    "name": "length",
                    "tooltip": "Length of the MMI section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.5,
                    "label": "Taper Width",
                    "name": "taper_width",
                    "tooltip": "Width of the taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 25.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the taper.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.7,
                    "label": "Port Ratio",
                    "name": "port_ratio",
                    "tooltip": "Ratio of the distance between the waveguides and the MMI width.",
                    "type": "number",
                    "validatesArgs": {"min": [0], "max": [1]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.mmi2x2",
            "label": "MMI 2×2",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-31.325000 -13.325000 139.150000 26.650000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.133250;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.133250;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.133250;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.133250;}.reference{fill:none;stroke:#221f20;stroke-width:0.093275;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:1.066000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.133250;}.dashed{stroke-dasharray:0.666250,0.399750;}.port{fill:none;stroke:#805080;stroke-width:0.266500;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.199875;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-0.533000 L 0.799500,0 0,0.533000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.399750 C 0.533000,-0.399750 0.533000,0.399750 0,0.399750" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.239850" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.279825" /></defs><g transform="scale(1 -1)"><g id="C0"><rect class="layer_2_0" x="0.000000" y="-2.500000" width="76.500000" height="5.000000" /><path class="layer_2_0" d="M -25.000000,-2.250000 -12.500000,-2.375000 0.000000,-2.500000 0.000000,-1.000000 -12.500000,-1.125000 -25.000000,-1.250000 z" /><path class="layer_2_0" d="M -25.000000,1.250000 -12.500000,1.125000 0.000000,1.000000 0.000000,2.500000 -12.500000,2.375000 -25.000000,2.250000 z" /><path class="layer_2_0" d="M 101.500000,-1.250000 89.000000,-1.125000 76.500000,-1.000000 76.500000,-2.500000 89.000000,-2.375000 101.500000,-2.250000 z" /><path class="layer_2_0" d="M 101.500000,2.250000 89.000000,2.375000 76.500000,2.500000 76.500000,1.000000 89.000000,1.125000 101.500000,1.250000 z" /><rect class="layer_3_0" x="0.000000" y="-7.000000" width="76.500000" height="14.000000" /><path class="layer_3_0" d="M -25.000000,-6.750000 0.000000,-6.750000 0.000000,3.250000 -25.000000,3.250000 z" /><path class="layer_3_0" d="M -25.000000,-3.250000 0.000000,-3.250000 0.000000,6.750000 -25.000000,6.750000 z" /><path class="layer_3_0" d="M 101.500000,3.250000 76.500000,3.250000 76.500000,-6.750000 101.500000,-6.750000 z" /><path class="layer_3_0" d="M 101.500000,6.750000 76.500000,6.750000 76.500000,-3.250000 101.500000,-3.250000 z" /><g transform="translate(101.500000 1.750000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(101.500000 -1.750000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-25.000000 1.750000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-25.000000 -1.750000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": None,
                    "label": "Splitter",
                    "name": "splitter",
                    "tooltip": "1×2 MMI splitter used in the modulator. If not set, the default MMI is used.",
                    "type": "component",
                    "required": False,
                    "placeholder": "Use default 1×2 MMI.",
                },
                {
                    "defaults": "UniCPW-EO",
                    "label": "Tl Port Spec",
                    "name": "tl_port_spec",
                    "tooltip": "Port specification for the CPW transmission line.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 100.0,
                    "label": "Taper Length",
                    "name": "taper_length",
                    "tooltip": "Length of the tapering section between the modulation and routing waveguides.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 2.5,
                    "label": "Rib Core Width Modulator",
                    "name": "rib_core_width_modulator",
                    "tooltip": "Waveguide core width in the phase modulation section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 7500.0,
                    "label": "Modulation Length",
                    "name": "modulation_length",
                    "tooltip": "Length of the phase modulation section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 100.0,
                    "label": "Length Imbalance",
                    "name": "length_imbalance",
                    "tooltip": "Length difference between the two arms of the MZI.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 700.0,
                    "label": "Bias Tuning Section Length",
                    "name": "bias_tuning_section_length",
                    "tooltip": "Length of the horizontal section that can be used for phase tuning.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 80.0,
                    "label": "Rf Pad Start Width",
                    "name": "rf_pad_start_width",
                    "tooltip": "Width of the central conductor on the pad side.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 10.0,
                    "label": "Rf Pad Length Straight",
                    "name": "rf_pad_length_straight",
                    "tooltip": "Length of the straight section of the taper on the pad side.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 190.0,
                    "label": "Rf Pad Length Tapered",
                    "name": "rf_pad_length_tapered",
                    "tooltip": "Length of the tapered section.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": True,
                    "label": "Draw CPW",
                    "name": "draw_cpw",
                    "tooltip": "If ``False``, the CPW transmission line is not included.",
                    "type": "checkbox",
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.mz_modulator_unbalanced",
            "label": "MZ Modulator Unbalanced",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-948.085500 -746.675500 10244.861000 1443.351000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:7.216755;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:7.216755;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:7.216755;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:7.216755;}.reference{fill:none;stroke:#221f20;stroke-width:5.051729;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:57.734040px;}.terminal{fill:none;stroke:#805080;stroke-width:7.216755;}.dashed{stroke-dasharray:36.083775,21.650265;}.port{fill:none;stroke:#805080;stroke-width:14.433510;}.virtual-connection{fill:none;stroke:#907090;stroke-width:10.825133;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-28.867020 L 43.300530,0 0,28.867020" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-21.650265 C 28.867020,-21.650265 28.867020,21.650265 0,21.650265" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="12.990159" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="15.155186" /><g id="C1"><use transform="translate(0.000000 7.000000)" href="#C12" /><use transform="translate(100.000000 7.000000)" href="#C13" /><use transform="translate(7500.000000 7.000000) rotate(180.000000)" href="#C12" /></g><g id="C12"><path class="layer_2_0" d="M 0.000000,-0.500000 20.000000,-0.650000 40.000000,-0.800000 60.000000,-0.950000 80.000000,-1.100000 100.000000,-1.250000 100.000000,1.250000 80.000000,1.100000 60.000000,0.950000 40.000000,0.800000 20.000000,0.650000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 20.000000,-5.150000 40.000000,-5.300000 60.000000,-5.450000 80.000000,-5.600000 100.000000,-5.750000 100.000000,5.750000 80.000000,5.600000 60.000000,5.450000 40.000000,5.300000 20.000000,5.150000 0.000000,5.000000 z" /></g><g id="C13"><path class="layer_2_0" d="M 0.000000,-1.250000 7300.000000,-1.250000 7300.000000,1.250000 0.000000,1.250000 z" /><path class="layer_3_0" d="M 0.000000,-5.750000 7300.000000,-5.750000 7300.000000,5.750000 0.000000,5.750000 z" /></g><g id="C9"><path class="layer_2_0" d="M 0.000000,-0.500000 6.792000,-0.493000 10.189000,-0.477000 13.587000,-0.444000 16.985000,-0.391000 20.384000,-0.312000 23.782000,-0.202000 27.180000,-0.055000 28.879000,0.034000 30.577000,0.134000 32.274000,0.245000 33.971000,0.369000 35.667000,0.506000 37.362000,0.657000 39.056000,0.822000 40.749000,1.002000 42.440000,1.197000 44.129000,1.409000 45.816000,1.638000 47.501000,1.884000 49.184000,2.148000 50.863000,2.431000 52.540000,2.733000 54.213000,3.055000 55.882000,3.398000 57.546000,3.762000 59.206000,4.148000 60.861000,4.556000 62.511000,4.986000 64.154000,5.440000 65.790000,5.919000 67.420000,6.421000 69.041000,6.949000 70.655000,7.502000 72.259000,8.081000 73.854000,8.686000 75.439000,9.319000 77.012000,9.979000 78.574000,10.666000 80.124000,11.382000 81.660000,12.126000 83.182000,12.899000 84.689000,13.701000 86.181000,14.532000 87.655000,15.393000 89.112000,16.284000 90.551000,17.205000 91.970000,18.156000 93.368000,19.138000 94.744000,20.150000 96.098000,21.193000 97.428000,22.266000 98.734000,23.369000 100.013000,24.503000 101.265000,25.667000 102.488000,26.862000 103.089000,27.470000 103.683000,28.085000 104.847000,29.337000 105.981000,30.616000 107.084000,31.922000 108.157000,33.252000 109.200000,34.606000 110.212000,35.982000 111.194000,37.380000 112.145000,38.799000 113.066000,40.238000 113.957000,41.695000 114.818000,43.169000 115.649000,44.661000 116.451000,46.168000 117.224000,47.690000 117.968000,49.226000 118.684000,50.776000 119.371000,52.338000 120.031000,53.911000 120.664000,55.496000 121.269000,57.091000 121.848000,58.695000 122.401000,60.309000 122.929000,61.930000 123.431000,63.560000 123.910000,65.196000 124.364000,66.839000 124.795000,68.489000 125.202000,70.144000 125.588000,71.804000 125.952000,73.468000 126.295000,75.137000 126.617000,76.810000 126.919000,78.487000 127.202000,80.166000 127.466000,81.849000 127.712000,83.534000 127.941000,85.221000 128.153000,86.910000 128.348000,88.601000 128.528000,90.294000 128.693000,91.988000 128.844000,93.683000 128.981000,95.379000 129.105000,97.076000 129.216000,98.773000 129.316000,100.472000 129.405000,102.170000 129.552000,105.568000 129.662000,108.966000 129.741000,112.365000 129.794000,115.763000 129.827000,119.161000 129.849000,125.954000 129.850000,129.350000 128.850000,129.350000 128.843000,122.561000 128.827000,119.168000 128.794000,115.775000 128.742000,112.384000 128.663000,108.994000 128.553000,105.605000 128.406000,102.219000 128.318000,100.527000 128.218000,98.836000 128.107000,97.145000 127.984000,95.456000 127.847000,93.768000 127.698000,92.081000 127.533000,90.395000 127.354000,88.712000 127.160000,87.030000 126.949000,85.350000 126.722000,83.673000 126.478000,81.999000 126.215000,80.327000 125.934000,78.658000 125.634000,76.994000 125.314000,75.333000 124.974000,73.676000 124.612000,72.024000 124.230000,70.376000 123.825000,68.735000 123.398000,67.099000 122.948000,65.470000 122.474000,63.847000 121.976000,62.232000 121.453000,60.625000 120.905000,59.027000 120.331000,57.438000 119.732000,55.859000 119.106000,54.290000 118.453000,52.732000 117.772000,51.187000 117.064000,49.654000 116.328000,48.134000 115.564000,46.629000 114.771000,45.139000 113.949000,43.665000 113.099000,42.208000 112.218000,40.768000 111.308000,39.347000 110.369000,37.946000 109.400000,36.566000 108.401000,35.207000 107.372000,33.871000 106.313000,32.558000 105.224000,31.271000 104.106000,30.009000 103.536000,29.389000 102.374000,28.168000 101.182000,26.976000 100.575000,26.392000 99.341000,25.244000 98.079000,24.126000 96.792000,23.037000 95.479000,21.978000 94.143000,20.949000 92.784000,19.950000 91.404000,18.981000 90.003000,18.042000 88.582000,17.132000 87.142000,16.251000 85.685000,15.401000 84.211000,14.579000 82.721000,13.786000 81.216000,13.022000 79.696000,12.286000 78.163000,11.578000 76.618000,10.897000 75.060000,10.244000 73.491000,9.618000 71.912000,9.019000 70.323000,8.445000 68.725000,7.897000 67.118000,7.374000 65.503000,6.876000 63.880000,6.402000 62.251000,5.952000 60.615000,5.525000 58.974000,5.120000 57.326000,4.738000 55.674000,4.376000 54.017000,4.036000 52.356000,3.716000 50.692000,3.416000 49.023000,3.135000 47.351000,2.872000 45.677000,2.628000 44.000000,2.401000 42.320000,2.190000 40.638000,1.996000 38.955000,1.817000 37.269000,1.653000 35.582000,1.503000 33.894000,1.366000 32.205000,1.243000 30.514000,1.132000 28.823000,1.032000 27.131000,0.944000 23.745000,0.797000 20.356000,0.687000 16.966000,0.608000 13.575000,0.556000 10.182000,0.523000 6.789000,0.507000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 6.806000,-4.993000 10.220000,-4.976000 13.642000,-4.944000 17.072000,-4.891000 20.508000,-4.811000 23.951000,-4.699000 27.401000,-4.550000 30.856000,-4.358000 32.585000,-4.244000 34.316000,-4.118000 36.047000,-3.978000 37.779000,-3.824000 39.512000,-3.655000 41.245000,-3.471000 42.978000,-3.270000 44.711000,-3.053000 46.443000,-2.818000 48.175000,-2.566000 49.906000,-2.294000 51.636000,-2.002000 53.364000,-1.691000 55.090000,-1.358000 56.814000,-1.004000 58.536000,-0.628000 60.254000,-0.229000 61.968000,0.194000 63.678000,0.640000 65.384000,1.112000 67.084000,1.609000 68.779000,2.131000 70.467000,2.680000 72.148000,3.257000 73.822000,3.861000 75.487000,4.493000 77.143000,5.154000 78.789000,5.844000 80.424000,6.564000 82.048000,7.314000 83.659000,8.094000 85.258000,8.906000 86.842000,9.749000 88.411000,10.623000 89.964000,11.530000 91.499000,12.469000 93.017000,13.441000 93.769000,13.939000 95.257000,14.961000 95.993000,15.484000 97.450000,16.554000 98.170000,17.102000 99.592000,18.223000 100.990000,19.377000 101.679000,19.967000 103.037000,21.171000 103.706000,21.786000 104.368000,22.409000 105.023000,23.040000 106.310000,24.327000 106.941000,24.982000 107.564000,25.644000 108.179000,26.313000 108.785000,26.989000 109.383000,27.671000 109.973000,28.360000 111.127000,29.758000 112.248000,31.180000 112.796000,31.900000 113.867000,33.357000 114.904000,34.835000 115.411000,35.581000 116.399000,37.089000 117.354000,38.616000 117.820000,39.386000 118.727000,40.939000 119.601000,42.508000 120.444000,44.092000 121.256000,45.691000 122.036000,47.302000 122.786000,48.926000 123.506000,50.561000 124.196000,52.207000 124.857000,53.863000 125.489000,55.528000 126.093000,57.202000 126.670000,58.883000 127.219000,60.571000 127.741000,62.266000 128.238000,63.966000 128.710000,65.672000 129.156000,67.382000 129.579000,69.096000 129.978000,70.814000 130.354000,72.536000 130.708000,74.260000 131.041000,75.986000 131.352000,77.714000 131.644000,79.444000 131.916000,81.175000 132.169000,82.907000 132.403000,84.639000 132.620000,86.372000 132.821000,88.105000 133.005000,89.838000 133.174000,91.571000 133.328000,93.303000 133.468000,95.034000 133.594000,96.765000 133.708000,98.494000 133.900000,101.949000 134.049000,105.399000 134.161000,108.842000 134.241000,112.278000 134.294000,115.708000 134.326000,119.130000 134.343000,122.544000 134.350000,129.350000 124.350000,129.350000 124.350000,127.653000 124.336000,120.886000 124.313000,117.514000 124.272000,114.149000 124.207000,110.793000 124.114000,107.445000 123.989000,104.106000 123.912000,102.440000 123.825000,100.776000 123.727000,99.115000 123.618000,97.456000 123.497000,95.801000 123.364000,94.148000 123.217000,92.498000 123.056000,90.851000 122.882000,89.208000 122.692000,87.568000 122.487000,85.932000 122.266000,84.300000 122.028000,82.673000 121.773000,81.049000 121.501000,79.431000 121.210000,77.818000 120.900000,76.210000 120.571000,74.609000 120.223000,73.013000 119.853000,71.424000 119.463000,69.842000 119.052000,68.267000 118.619000,66.700000 118.164000,65.141000 117.686000,63.591000 117.185000,62.051000 116.660000,60.520000 116.111000,59.000000 115.538000,57.491000 114.941000,55.994000 114.318000,54.508000 113.670000,53.036000 112.996000,51.578000 112.297000,50.134000 111.571000,48.705000 110.819000,47.291000 110.041000,45.895000 109.236000,44.516000 108.404000,43.155000 107.544000,41.814000 106.658000,40.492000 105.745000,39.191000 104.805000,37.912000 103.838000,36.656000 102.843000,35.424000 101.822000,34.216000 100.774000,33.034000 99.700000,31.878000 98.599000,30.751000 97.472000,29.650000 96.316000,28.576000 95.134000,27.528000 93.926000,26.507000 92.694000,25.512000 91.438000,24.545000 90.159000,23.605000 88.858000,22.692000 87.536000,21.806000 86.195000,20.946000 84.834000,20.114000 83.455000,19.309000 82.059000,18.531000 80.645000,17.779000 79.216000,17.053000 77.772000,16.354000 76.314000,15.680000 74.842000,15.032000 73.356000,14.409000 71.859000,13.812000 70.350000,13.239000 68.830000,12.690000 67.299000,12.165000 65.759000,11.664000 64.209000,11.186000 62.650000,10.731000 61.083000,10.298000 59.508000,9.887000 57.926000,9.497000 56.337000,9.127000 54.741000,8.779000 53.140000,8.450000 51.532000,8.140000 49.919000,7.849000 48.301000,7.577000 46.677000,7.322000 45.050000,7.084000 43.418000,6.863000 41.782000,6.658000 40.142000,6.468000 38.499000,6.294000 36.852000,6.133000 35.202000,5.986000 33.549000,5.853000 31.894000,5.732000 30.235000,5.623000 28.574000,5.525000 26.910000,5.438000 23.576000,5.294000 20.232000,5.186000 16.880000,5.108000 13.519000,5.055000 10.151000,5.023000 6.775000,5.007000 0.000000,5.000000 z" /></g><g id="C2"><path class="layer_2_0" d="M 0.000000,-0.500000 5.000000,-0.500000 6.971000,-0.516000 8.943000,-0.563000 10.914000,-0.640000 12.886000,-0.747000 14.858000,-0.883000 16.830000,-1.048000 18.802000,-1.241000 20.775000,-1.461000 22.747000,-1.707000 24.720000,-1.979000 26.693000,-2.277000 28.667000,-2.598000 30.640000,-2.944000 32.614000,-3.313000 34.588000,-3.705000 36.562000,-4.118000 38.536000,-4.553000 40.510000,-5.009000 42.485000,-5.484000 44.460000,-5.979000 46.435000,-6.492000 48.410000,-7.023000 50.385000,-7.571000 52.361000,-8.136000 54.336000,-8.718000 56.312000,-9.314000 58.288000,-9.925000 60.264000,-10.550000 62.241000,-11.188000 64.217000,-11.839000 66.194000,-12.502000 70.148000,-13.862000 74.102000,-15.261000 78.057000,-16.695000 82.013000,-18.159000 85.969000,-19.646000 89.925000,-21.153000 97.841000,-24.201000 105.758000,-27.260000 109.717000,-28.781000 113.677000,-30.289000 117.638000,-31.778000 121.599000,-33.244000 125.560000,-34.680000 129.523000,-36.083000 133.486000,-37.445000 135.467000,-38.110000 137.449000,-38.762000 139.431000,-39.403000 141.413000,-40.030000 143.396000,-40.642000 145.378000,-41.241000 147.361000,-41.824000 149.344000,-42.391000 151.327000,-42.942000 153.310000,-43.475000 155.293000,-43.990000 157.277000,-44.487000 159.260000,-44.965000 161.244000,-45.422000 163.228000,-45.859000 165.213000,-46.275000 167.197000,-46.669000 169.182000,-47.040000 171.167000,-47.388000 173.152000,-47.711000 175.137000,-48.011000 177.122000,-48.284000 179.108000,-48.532000 181.094000,-48.754000 183.080000,-48.948000 185.066000,-49.114000 187.053000,-49.251000 189.039000,-49.359000 191.026000,-49.437000 193.013000,-49.484000 195.000000,-49.500000 200.000000,-49.500000 200.000000,-48.500000 195.000000,-48.500000 193.029000,-48.484000 191.057000,-48.437000 189.086000,-48.360000 187.114000,-48.253000 185.142000,-48.117000 183.170000,-47.952000 181.198000,-47.759000 179.225000,-47.539000 177.253000,-47.293000 175.280000,-47.021000 173.307000,-46.723000 171.333000,-46.402000 169.360000,-46.056000 167.386000,-45.687000 165.412000,-45.295000 163.438000,-44.882000 161.464000,-44.447000 159.490000,-43.991000 157.515000,-43.516000 155.540000,-43.021000 153.565000,-42.508000 151.590000,-41.977000 149.615000,-41.429000 147.639000,-40.864000 145.664000,-40.282000 143.688000,-39.686000 141.712000,-39.075000 139.736000,-38.450000 137.759000,-37.812000 135.783000,-37.161000 133.806000,-36.498000 129.852000,-35.138000 125.898000,-33.739000 121.943000,-32.305000 117.987000,-30.841000 114.031000,-29.354000 110.075000,-27.847000 106.117000,-26.327000 98.201000,-23.268000 90.283000,-20.219000 86.323000,-18.711000 82.362000,-17.222000 78.401000,-15.756000 74.440000,-14.320000 70.477000,-12.917000 66.514000,-11.555000 64.533000,-10.890000 62.551000,-10.238000 60.569000,-9.597000 58.587000,-8.970000 56.604000,-8.358000 54.622000,-7.759000 52.639000,-7.176000 50.657000,-6.609000 48.674000,-6.058000 46.690000,-5.525000 44.707000,-5.010000 42.723000,-4.513000 40.740000,-4.035000 38.756000,-3.578000 36.772000,-3.141000 34.787000,-2.725000 32.803000,-2.331000 30.818000,-1.960000 28.833000,-1.612000 26.848000,-1.289000 24.863000,-0.989000 22.878000,-0.716000 20.892000,-0.468000 18.906000,-0.246000 16.920000,-0.052000 14.934000,0.114000 12.948000,0.251000 10.961000,0.359000 8.974000,0.437000 6.987000,0.484000 5.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 5.000000,-5.000000 6.899000,-5.015000 8.801000,-5.060000 10.704000,-5.135000 12.608000,-5.239000 14.515000,-5.370000 16.424000,-5.530000 18.334000,-5.716000 20.246000,-5.930000 22.161000,-6.169000 24.077000,-6.433000 25.995000,-6.722000 27.916000,-7.035000 29.838000,-7.372000 31.762000,-7.732000 33.688000,-8.114000 35.616000,-8.518000 37.546000,-8.943000 39.478000,-9.389000 41.411000,-9.854000 43.347000,-10.339000 45.284000,-10.842000 47.223000,-11.364000 49.164000,-11.903000 51.107000,-12.458000 53.051000,-13.030000 54.997000,-13.617000 56.945000,-14.220000 58.894000,-14.836000 60.845000,-15.466000 62.798000,-16.109000 64.752000,-16.765000 68.665000,-18.110000 72.584000,-19.497000 76.508000,-20.920000 80.439000,-22.374000 84.375000,-23.855000 88.317000,-25.356000 96.218000,-28.398000 104.140000,-31.459000 108.109000,-32.984000 112.084000,-34.497000 116.064000,-35.994000 120.050000,-37.469000 124.042000,-38.916000 128.040000,-40.331000 130.041000,-41.025000 132.043000,-41.708000 134.048000,-42.380000 136.053000,-43.041000 138.061000,-43.689000 140.070000,-44.324000 142.080000,-44.946000 144.093000,-45.553000 146.107000,-46.146000 148.123000,-46.722000 150.140000,-47.282000 152.159000,-47.825000 154.180000,-48.351000 156.203000,-48.857000 158.228000,-49.345000 160.254000,-49.812000 162.283000,-50.259000 164.313000,-50.684000 166.345000,-51.087000 168.380000,-51.468000 170.416000,-51.824000 172.454000,-52.157000 174.494000,-52.464000 176.536000,-52.746000 178.580000,-53.001000 180.626000,-53.229000 182.674000,-53.429000 184.723000,-53.601000 186.775000,-53.742000 188.829000,-53.854000 190.884000,-53.935000 192.941000,-53.984000 195.000000,-54.000000 200.000000,-54.000000 200.000000,-44.000000 195.000000,-44.000000 193.101000,-43.985000 191.199000,-43.940000 189.296000,-43.865000 187.392000,-43.761000 185.485000,-43.630000 183.576000,-43.470000 181.666000,-43.284000 179.754000,-43.070000 177.839000,-42.831000 175.923000,-42.567000 174.005000,-42.278000 172.084000,-41.965000 170.162000,-41.628000 168.238000,-41.268000 166.312000,-40.886000 164.384000,-40.482000 162.454000,-40.057000 160.522000,-39.611000 158.589000,-39.146000 156.653000,-38.661000 154.716000,-38.158000 152.777000,-37.636000 150.836000,-37.097000 148.893000,-36.542000 146.949000,-35.970000 145.003000,-35.383000 143.055000,-34.780000 141.106000,-34.164000 139.155000,-33.534000 137.202000,-32.891000 135.248000,-32.235000 131.335000,-30.890000 129.377000,-30.201000 125.455000,-28.796000 121.527000,-27.356000 117.593000,-25.888000 113.654000,-24.397000 105.760000,-21.366000 97.843000,-18.305000 89.904000,-15.257000 85.927000,-13.752000 81.944000,-12.265000 77.955000,-10.803000 73.960000,-9.372000 69.959000,-7.975000 67.957000,-7.292000 65.952000,-6.620000 63.947000,-5.959000 61.939000,-5.311000 59.930000,-4.676000 57.920000,-4.054000 55.907000,-3.447000 53.893000,-2.854000 51.877000,-2.278000 49.860000,-1.718000 47.841000,-1.175000 45.820000,-0.649000 43.797000,-0.143000 41.772000,0.345000 39.746000,0.812000 37.717000,1.259000 35.687000,1.684000 33.655000,2.087000 31.620000,2.468000 29.584000,2.824000 27.546000,3.157000 25.506000,3.464000 23.464000,3.746000 21.420000,4.001000 19.374000,4.229000 17.326000,4.429000 15.277000,4.601000 13.225000,4.742000 11.171000,4.854000 9.116000,4.935000 7.059000,4.984000 5.000000,5.000000 0.000000,5.000000 z" /></g><g id="C3"><path class="layer_2_0" d="M 0.000000,-0.500000 5.000000,-0.500000 7.047000,-0.482000 9.093000,-0.430000 11.140000,-0.343000 13.186000,-0.224000 15.232000,-0.071000 17.277000,0.113000 19.323000,0.328000 21.368000,0.573000 23.413000,0.848000 25.458000,1.152000 27.503000,1.484000 29.547000,1.843000 31.591000,2.229000 33.635000,2.641000 35.679000,3.078000 37.723000,3.539000 39.766000,4.024000 41.809000,4.531000 43.852000,5.061000 45.895000,5.612000 47.938000,6.184000 49.980000,6.775000 52.022000,7.386000 54.064000,8.015000 56.106000,8.662000 58.148000,9.325000 60.189000,10.005000 62.230000,10.701000 64.271000,11.411000 66.312000,12.135000 68.353000,12.872000 70.394000,13.622000 72.434000,14.383000 76.514000,15.939000 80.594000,17.532000 84.673000,19.158000 88.752000,20.810000 92.830000,22.482000 100.984000,25.864000 109.136000,29.258000 113.211000,30.943000 117.286000,32.614000 121.360000,34.264000 125.433000,35.888000 129.506000,37.478000 131.542000,38.260000 133.578000,39.031000 137.649000,40.538000 139.685000,41.274000 141.720000,41.996000 143.755000,42.704000 145.790000,43.397000 147.825000,44.075000 149.860000,44.736000 151.894000,45.381000 153.928000,46.007000 155.962000,46.616000 157.996000,47.205000 160.030000,47.774000 162.064000,48.323000 164.097000,48.850000 166.130000,49.355000 168.163000,49.837000 170.195000,50.296000 172.228000,50.730000 174.260000,51.139000 176.292000,51.523000 178.324000,51.880000 180.356000,52.210000 182.387000,52.511000 184.418000,52.785000 186.449000,53.028000 188.480000,53.242000 190.510000,53.425000 192.541000,53.576000 194.571000,53.695000 196.601000,53.781000 198.630000,53.833000 200.660000,53.850000 205.660000,53.850000 205.660000,54.850000 200.660000,54.850000 198.613000,54.832000 196.567000,54.780000 194.520000,54.693000 192.474000,54.574000 190.428000,54.421000 188.383000,54.237000 186.337000,54.022000 184.292000,53.777000 182.247000,53.502000 180.202000,53.198000 178.157000,52.866000 176.113000,52.507000 174.069000,52.121000 172.025000,51.709000 169.981000,51.272000 167.937000,50.811000 165.894000,50.326000 163.851000,49.819000 161.808000,49.289000 159.765000,48.738000 157.722000,48.167000 155.680000,47.575000 153.638000,46.964000 151.596000,46.335000 149.554000,45.688000 147.512000,45.025000 145.471000,44.345000 143.430000,43.649000 141.389000,42.939000 139.348000,42.215000 137.307000,41.478000 135.266000,40.728000 133.226000,39.967000 131.186000,39.194000 127.106000,37.619000 123.026000,36.009000 118.947000,34.369000 114.869000,32.706000 110.791000,31.026000 102.638000,27.637000 94.486000,24.248000 90.412000,22.569000 86.337000,20.908000 82.264000,19.270000 78.191000,17.662000 74.118000,16.090000 72.082000,15.319000 70.046000,14.560000 68.011000,13.812000 65.975000,13.076000 63.940000,12.354000 61.905000,11.646000 59.870000,10.953000 57.835000,10.275000 55.800000,9.614000 53.766000,8.969000 51.732000,8.343000 49.698000,7.734000 47.664000,7.145000 45.630000,6.576000 43.596000,6.027000 41.563000,5.500000 39.530000,4.995000 37.497000,4.513000 35.465000,4.054000 33.432000,3.620000 31.400000,3.211000 29.368000,2.827000 27.336000,2.470000 25.304000,2.140000 23.273000,1.839000 21.242000,1.565000 19.211000,1.322000 17.180000,1.108000 15.150000,0.925000 13.119000,0.774000 11.089000,0.655000 9.059000,0.570000 7.030000,0.518000 5.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 5.000000,-5.000000 7.124000,-4.982000 9.246000,-4.927000 11.366000,-4.838000 13.485000,-4.714000 15.601000,-4.556000 17.715000,-4.366000 19.827000,-4.144000 21.936000,-3.891000 24.044000,-3.607000 26.150000,-3.294000 28.253000,-2.953000 30.354000,-2.584000 32.453000,-2.187000 34.550000,-1.765000 36.645000,-1.317000 38.738000,-0.845000 40.828000,-0.349000 42.917000,0.169000 45.003000,0.710000 47.088000,1.273000 49.170000,1.856000 51.251000,2.458000 53.330000,3.080000 55.406000,3.720000 57.481000,4.377000 59.554000,5.051000 61.626000,5.741000 63.695000,6.446000 65.763000,7.165000 67.829000,7.898000 69.894000,8.644000 71.957000,9.402000 74.018000,10.171000 78.135000,11.741000 82.247000,13.346000 86.352000,14.982000 90.451000,16.643000 94.545000,18.321000 102.714000,21.710000 110.861000,25.101000 114.926000,26.783000 118.985000,28.448000 123.038000,30.089000 127.085000,31.702000 131.127000,33.281000 135.162000,34.818000 137.177000,35.571000 139.190000,36.310000 141.202000,37.037000 143.212000,37.750000 145.220000,38.449000 147.227000,39.132000 149.232000,39.800000 151.235000,40.451000 153.236000,41.085000 155.236000,41.701000 157.233000,42.299000 159.229000,42.877000 161.223000,43.435000 163.215000,43.972000 165.204000,44.488000 167.192000,44.982000 169.178000,45.453000 171.161000,45.900000 173.143000,46.324000 175.122000,46.723000 177.099000,47.096000 179.074000,47.443000 181.047000,47.763000 183.018000,48.056000 184.986000,48.321000 186.953000,48.557000 188.917000,48.763000 190.879000,48.940000 192.840000,49.086000 194.798000,49.200000 196.754000,49.283000 198.708000,49.333000 200.660000,49.350000 205.660000,49.350000 205.660000,59.350000 200.660000,59.350000 198.536000,59.332000 196.414000,59.277000 194.294000,59.188000 192.175000,59.064000 190.059000,58.906000 187.945000,58.716000 185.833000,58.494000 183.724000,58.241000 181.616000,57.957000 179.510000,57.644000 177.407000,57.303000 175.306000,56.934000 173.207000,56.537000 171.110000,56.115000 169.015000,55.667000 166.922000,55.195000 164.832000,54.699000 162.743000,54.181000 160.657000,53.640000 158.572000,53.077000 156.490000,52.494000 154.409000,51.892000 152.330000,51.270000 150.254000,50.630000 148.179000,49.973000 146.106000,49.299000 144.034000,48.609000 141.965000,47.904000 139.897000,47.185000 137.831000,46.452000 135.766000,45.706000 133.703000,44.948000 131.642000,44.179000 129.583000,43.399000 125.468000,41.811000 121.360000,40.189000 117.258000,38.540000 113.161000,36.870000 109.071000,35.184000 100.907000,31.790000 92.766000,28.406000 88.704000,26.732000 84.648000,25.078000 80.597000,23.450000 76.553000,21.854000 72.515000,20.295000 68.483000,18.779000 66.470000,18.040000 64.458000,17.313000 62.448000,16.600000 60.440000,15.901000 58.433000,15.218000 56.428000,14.550000 54.425000,13.899000 52.424000,13.265000 50.424000,12.649000 48.427000,12.051000 46.431000,11.473000 44.437000,10.915000 42.446000,10.378000 40.456000,9.862000 38.468000,9.368000 36.482000,8.897000 34.499000,8.450000 32.517000,8.026000 30.538000,7.627000 28.561000,7.254000 26.586000,6.907000 24.613000,6.587000 22.642000,6.294000 20.674000,6.029000 18.707000,5.793000 16.743000,5.587000 14.781000,5.410000 12.820000,5.264000 10.862000,5.150000 8.906000,5.067000 6.952000,5.017000 5.000000,5.000000 0.000000,5.000000 z" /></g><g id="C4"><rect class="layer_2_0" x="0.000000" y="-3.000000" width="26.750000" height="6.000000" /><path class="layer_2_0" d="M -25.000000,-0.500000 -12.500000,-0.625000 0.000000,-0.750000 0.000000,0.750000 -12.500000,0.625000 -25.000000,0.500000 z" /><path class="layer_2_0" d="M 51.750000,-1.150000 39.250000,-1.025000 26.750000,-0.900000 26.750000,-2.400000 39.250000,-2.275000 51.750000,-2.150000 z" /><path class="layer_2_0" d="M 51.750000,2.150000 39.250000,2.275000 26.750000,2.400000 26.750000,0.900000 39.250000,1.025000 51.750000,1.150000 z" /><rect class="layer_3_0" x="0.000000" y="-7.500000" width="26.750000" height="15.000000" /><path class="layer_3_0" d="M -25.000000,-5.000000 0.000000,-5.000000 0.000000,5.000000 -25.000000,5.000000 z" /><path class="layer_3_0" d="M 51.750000,3.350000 26.750000,3.350000 26.750000,-6.650000 51.750000,-6.650000 z" /><path class="layer_3_0" d="M 51.750000,6.650000 26.750000,6.650000 26.750000,-3.350000 51.750000,-3.350000 z" /></g><g id="C5"><path class="layer_2_0" d="M 0.000000,-0.500000 3.939000,-0.496000 7.881000,-0.468000 9.852000,-0.437000 11.825000,-0.391000 13.797000,-0.327000 15.770000,-0.242000 17.742000,-0.132000 19.713000,0.005000 21.683000,0.172000 22.667000,0.267000 24.633000,0.486000 26.594000,0.741000 28.551000,1.038000 29.528000,1.202000 30.502000,1.378000 31.475000,1.566000 32.445000,1.765000 33.413000,1.976000 34.378000,2.201000 35.340000,2.438000 36.300000,2.688000 37.255000,2.952000 38.207000,3.230000 39.155000,3.523000 40.098000,3.830000 41.037000,4.152000 41.970000,4.488000 42.899000,4.841000 43.821000,5.209000 44.736000,5.593000 45.646000,5.993000 46.547000,6.409000 47.442000,6.843000 48.328000,7.292000 49.205000,7.759000 50.074000,8.243000 50.932000,8.745000 51.781000,9.264000 52.618000,9.800000 53.445000,10.354000 54.259000,10.926000 55.061000,11.516000 55.850000,12.123000 56.625000,12.748000 57.385000,13.391000 58.131000,14.052000 58.860000,14.730000 59.574000,15.426000 60.270000,16.140000 60.948000,16.869000 61.609000,17.615000 62.252000,18.375000 62.877000,19.150000 63.484000,19.939000 64.074000,20.741000 64.646000,21.555000 65.200000,22.382000 65.736000,23.219000 66.255000,24.068000 66.757000,24.926000 67.241000,25.795000 67.708000,26.672000 68.158000,27.558000 68.591000,28.453000 69.007000,29.355000 69.407000,30.264000 69.791000,31.179000 70.159000,32.101000 70.512000,33.030000 70.848000,33.963000 71.170000,34.902000 71.477000,35.845000 71.770000,36.793000 72.048000,37.745000 72.312000,38.700000 72.562000,39.660000 72.799000,40.622000 73.024000,41.587000 73.235000,42.555000 73.435000,43.525000 73.622000,44.498000 73.798000,45.472000 74.116000,47.426000 74.259000,48.406000 74.514000,50.367000 74.733000,52.333000 74.916000,54.302000 75.067000,56.272000 75.190000,58.244000 75.287000,60.216000 75.362000,62.189000 75.416000,64.161000 75.454000,66.134000 75.478000,68.105000 75.498000,72.046000 75.500000,75.000000 74.500000,75.000000 74.498000,72.048000 74.478000,68.115000 74.454000,66.149000 74.416000,64.185000 74.362000,62.221000 74.288000,60.259000 74.192000,58.299000 74.070000,56.341000 73.919000,54.386000 73.738000,52.435000 73.522000,50.487000 73.400000,49.515000 73.127000,47.576000 72.975000,46.609000 72.812000,45.644000 72.639000,44.681000 72.454000,43.720000 72.257000,42.762000 72.048000,41.807000 71.827000,40.855000 71.593000,39.906000 71.346000,38.960000 71.086000,38.018000 70.812000,37.080000 70.524000,36.147000 70.222000,35.218000 69.905000,34.295000 69.574000,33.377000 69.227000,32.464000 68.866000,31.558000 68.488000,30.658000 68.096000,29.766000 67.687000,28.880000 67.262000,28.003000 66.820000,27.133000 66.362000,26.273000 65.888000,25.422000 65.397000,24.581000 64.889000,23.750000 64.363000,22.930000 63.821000,22.121000 63.262000,21.324000 62.685000,20.540000 62.092000,19.769000 61.481000,19.012000 60.853000,18.269000 60.208000,17.541000 59.545000,16.829000 58.867000,16.133000 58.171000,15.455000 57.459000,14.792000 56.731000,14.147000 55.988000,13.519000 55.231000,12.908000 54.460000,12.315000 53.676000,11.738000 52.879000,11.179000 52.070000,10.637000 51.250000,10.111000 50.419000,9.603000 49.578000,9.112000 48.727000,8.638000 47.867000,8.180000 46.997000,7.738000 46.120000,7.313000 45.234000,6.904000 44.342000,6.512000 43.442000,6.134000 42.536000,5.773000 41.623000,5.426000 40.705000,5.095000 39.782000,4.778000 38.853000,4.476000 37.920000,4.188000 36.982000,3.914000 36.040000,3.654000 35.094000,3.407000 34.145000,3.173000 33.193000,2.952000 32.238000,2.743000 31.280000,2.546000 30.319000,2.361000 29.356000,2.188000 28.391000,2.025000 27.424000,1.873000 25.485000,1.600000 24.513000,1.478000 23.540000,1.366000 21.590000,1.167000 19.637000,1.002000 17.680000,0.866000 15.721000,0.757000 13.760000,0.672000 11.797000,0.609000 9.833000,0.563000 7.868000,0.532000 3.936000,0.504000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 3.953000,-4.996000 7.936000,-4.967000 9.939000,-4.936000 11.949000,-4.889000 13.966000,-4.824000 15.991000,-4.736000 18.021000,-4.624000 20.058000,-4.482000 22.100000,-4.309000 24.146000,-4.101000 26.196000,-3.854000 27.221000,-3.715000 28.248000,-3.565000 29.274000,-3.404000 30.300000,-3.231000 31.327000,-3.046000 32.353000,-2.848000 33.378000,-2.637000 34.402000,-2.414000 35.425000,-2.176000 36.447000,-1.924000 37.467000,-1.658000 38.485000,-1.376000 39.501000,-1.079000 40.514000,-0.767000 41.524000,-0.438000 42.530000,-0.093000 43.533000,0.268000 44.531000,0.647000 45.524000,1.044000 46.513000,1.458000 47.495000,1.891000 48.471000,2.341000 49.441000,2.811000 50.403000,3.300000 51.358000,3.808000 52.304000,4.335000 53.241000,4.882000 54.168000,5.449000 55.085000,6.036000 55.991000,6.644000 56.885000,7.271000 57.767000,7.920000 58.635000,8.589000 59.490000,9.279000 60.331000,9.989000 61.155000,10.720000 61.964000,11.472000 62.756000,12.244000 63.528000,13.036000 64.280000,13.845000 65.011000,14.669000 65.721000,15.510000 66.411000,16.365000 67.080000,17.233000 67.729000,18.115000 68.356000,19.009000 68.964000,19.915000 69.551000,20.832000 70.118000,21.759000 70.665000,22.696000 71.192000,23.642000 71.700000,24.597000 72.189000,25.559000 72.659000,26.529000 73.109000,27.505000 73.542000,28.487000 73.956000,29.476000 74.353000,30.469000 74.732000,31.467000 75.093000,32.470000 75.438000,33.476000 75.767000,34.486000 76.079000,35.499000 76.376000,36.515000 76.658000,37.533000 76.924000,38.553000 77.176000,39.575000 77.414000,40.598000 77.637000,41.622000 77.848000,42.647000 78.046000,43.673000 78.231000,44.700000 78.404000,45.726000 78.565000,46.752000 78.715000,47.779000 78.854000,48.804000 79.101000,50.854000 79.309000,52.900000 79.482000,54.942000 79.624000,56.979000 79.736000,59.009000 79.824000,61.034000 79.889000,63.051000 79.936000,65.061000 79.967000,67.064000 79.996000,71.047000 80.000000,75.000000 70.000000,75.000000 70.000000,73.035000 69.987000,69.129000 69.968000,67.187000 69.938000,65.253000 69.893000,63.327000 69.831000,61.409000 69.748000,59.500000 69.643000,57.599000 69.512000,55.708000 69.352000,53.827000 69.162000,51.956000 68.938000,50.097000 68.678000,48.250000 68.379000,46.417000 68.215000,45.506000 68.040000,44.598000 67.855000,43.695000 67.658000,42.796000 67.450000,41.902000 67.231000,41.012000 67.000000,40.128000 66.757000,39.248000 66.502000,38.374000 66.234000,37.506000 65.953000,36.644000 65.660000,35.788000 65.354000,34.939000 65.034000,34.097000 64.701000,33.262000 64.354000,32.434000 63.993000,31.615000 63.619000,30.804000 63.230000,30.002000 62.827000,29.209000 62.411000,28.426000 61.979000,27.652000 61.534000,26.889000 61.074000,26.137000 60.599000,25.396000 60.110000,24.667000 59.607000,23.950000 59.089000,23.246000 58.557000,22.555000 58.011000,21.877000 57.450000,21.214000 56.876000,20.566000 56.287000,19.933000 55.685000,19.315000 55.067000,18.713000 54.434000,18.124000 53.786000,17.550000 53.123000,16.989000 52.445000,16.443000 51.754000,15.911000 51.050000,15.393000 50.333000,14.890000 49.604000,14.401000 48.863000,13.926000 48.111000,13.466000 47.348000,13.021000 46.574000,12.589000 45.791000,12.173000 44.998000,11.770000 44.196000,11.381000 43.385000,11.007000 42.566000,10.646000 41.738000,10.299000 40.903000,9.966000 40.061000,9.646000 39.212000,9.340000 38.356000,9.047000 37.494000,8.766000 36.626000,8.498000 35.752000,8.243000 34.872000,8.000000 33.988000,7.769000 33.098000,7.550000 32.204000,7.342000 31.305000,7.145000 30.402000,6.960000 29.494000,6.785000 28.583000,6.621000 26.750000,6.322000 25.828000,6.188000 23.975000,5.946000 23.044000,5.839000 21.173000,5.648000 19.292000,5.488000 17.401000,5.357000 15.500000,5.252000 13.591000,5.169000 11.673000,5.107000 9.747000,5.062000 7.813000,5.032000 5.871000,5.013000 3.922000,5.004000 0.000000,5.000000 z" /></g><g id="C6"><path class="layer_2_0" d="M 0.000000,-0.500000 70.000000,-0.500000 70.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 70.000000,-5.000000 70.000000,5.000000 0.000000,5.000000 z" /></g><g id="C10"><path class="layer_21_0" d="M 0.000000,9.000000 7500.000000,9.000000 7500.000000,189.000000 0.000000,189.000000 z" /><path class="layer_21_0" d="M 0.000000,-189.000000 7500.000000,-189.000000 7500.000000,-9.000000 0.000000,-9.000000 z" /><path class="layer_21_0" d="M 0.000000,-5.000000 7500.000000,-5.000000 7500.000000,5.000000 0.000000,5.000000 z" /></g><g id="C7"><path class="layer_2_0" d="M 0.000000,-0.500000 700.000000,-0.500000 700.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 700.000000,-5.000000 700.000000,5.000000 0.000000,5.000000 z" /></g><g id="C8"><path class="layer_2_0" d="M 0.000000,-0.500000 20.000000,-0.500000 20.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 20.000000,-5.000000 20.000000,5.000000 0.000000,5.000000 z" /></g><g id="C11"><path class="layer_21_0" d="M 0.000000,-40.000000 10.000000,-40.000000 200.000000,-5.000000 200.000000,5.000000 10.000000,40.000000 0.000000,40.000000 z" /><path class="layer_21_0" d="M 0.000000,72.000000 10.000000,72.000000 200.000000,9.000000 200.000000,189.000000 0.000000,189.000000 z" /><path class="layer_21_0" d="M 0.000000,-189.000000 200.000000,-189.000000 200.000000,-9.000000 10.000000,-72.000000 0.000000,-72.000000 z" /><rect class="terminal dashed" x="0.000000" y="72.000000" width="10.000000" height="117.000000" /><rect class="terminal dashed" x="0.000000" y="-40.000000" width="10.000000" height="80.000000" /><rect class="terminal dashed" x="0.000000" y="-189.000000" width="10.000000" height="117.000000" /></g></defs><g transform="scale(1 -1)"><g id="C0"><use transform="translate(0.000000 0.000000)" href="#C1" /><use transform="translate(0.000000 -14.000000)" href="#C1" /><use transform="translate(-200.000000 56.000000)" href="#C2" /><use transform="translate(-405.660000 1.650000)" href="#C3" /><use transform="translate(-457.410000 0.000000)" href="#C4" /><use transform="translate(-200.000000 -56.000000) scale(1 -1)" href="#C2" /><use transform="translate(-405.660000 -1.650000) scale(1 -1)" href="#C3" /><use transform="translate(7500.000000 7.000000) scale(1 -1)" href="#C2" /><use transform="translate(7700.000000 56.000000)" href="#C5" /><use transform="translate(7775.000000 131.000000) rotate(90.000000)" href="#C6" /><use transform="translate(7850.000000 276.000000) rotate(180.000000)" href="#C5" /><use transform="translate(7850.000000 276.000000)" href="#C7" /><use transform="translate(8625.000000 201.000000) rotate(90.000000)" href="#C5" /><use transform="translate(8625.000000 201.000000) rotate(270.000000)" href="#C6" /><use transform="translate(7500.000000 -7.000000)" href="#C2" /><use transform="translate(7775.000000 -131.000000) rotate(90.000000)" href="#C5" /><use transform="translate(7775.000000 -131.000000) rotate(270.000000)" href="#C8" /><use transform="translate(7775.000000 -151.000000) rotate(270.000000)" href="#C5" /><use transform="translate(7850.000000 -226.000000)" href="#C7" /><use transform="translate(8550.000000 -226.000000)" href="#C5" /><use transform="translate(8625.000000 -151.000000) rotate(90.000000)" href="#C8" /><use transform="translate(8625.000000 131.000000) rotate(270.000000)" href="#C9" /><use transform="translate(8754.350000 -1.650000) rotate(180.000000)" href="#C9" /><use transform="translate(8806.100000 0.000000) rotate(180.000000)" href="#C4" /><use transform="translate(0.000000 0.000000)" href="#C10" /><use transform="translate(-200.000000 0.000000)" href="#C11" /><use transform="translate(7700.000000 0.000000) rotate(180.000000) scale(1 -1)" href="#C11" /><g transform="translate(8831.100000 0.000000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(-482.410000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><rect class="terminal" x="7690.000000" y="72.000000" width="10.000000" height="117.000000" transform="translate(7695.000000 130.500000) rotate(180.000000) translate(-7695.000000 -130.500000)" /><rect class="terminal" x="7690.000000" y="-40.000000" width="10.000000" height="80.000000" transform="translate(7695.000000 0.000000) rotate(180.000000) translate(-7695.000000 -0.000000)" /><rect class="terminal" x="7690.000000" y="-189.000000" width="10.000000" height="117.000000" transform="translate(7695.000000 -130.500000) rotate(180.000000) translate(-7695.000000 130.500000)" /><rect class="terminal" x="-200.000000" y="-40.000000" width="10.000000" height="80.000000" /><rect class="terminal" x="-200.000000" y="72.000000" width="10.000000" height="117.000000" /><rect class="terminal" x="-200.000000" y="-189.000000" width="10.000000" height="117.000000" /></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 58.0,
                    "label": "H Extent",
                    "name": "h_extent",
                    "tooltip": "Horizontal extent of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 14.5,
                    "label": "V Offset",
                    "name": "v_offset",
                    "tooltip": "Vertical offset of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.8,
                    "label": "Start Section Width",
                    "name": "start_section_width",
                    "tooltip": "Width of the core at the start of the S bend (linearly tapered along bend).",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.s_bend_var_width",
            "label": "S Bend Var Width",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-2.900000 -22.400000 63.800000 30.200000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.151000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.151000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.151000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.151000;}.reference{fill:none;stroke:#221f20;stroke-width:0.105700;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:1.208000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.151000;}.dashed{stroke-dasharray:0.755000,0.453000;}.port{fill:none;stroke:#805080;stroke-width:0.302000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.226500;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-0.604000 L 0.906000,0 0,0.604000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.453000 C 0.604000,-0.453000 0.604000,0.453000 0,0.453000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.271800" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.317100" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 0.000000,-0.400000 1.450000,-0.400000 2.900000,-0.388000 4.350000,-0.353000 5.800000,-0.286000 7.250000,-0.180000 7.975000,-0.110000 8.700000,-0.029000 9.425000,0.064000 10.150000,0.170000 10.875000,0.288000 11.600000,0.420000 12.325000,0.564000 13.050000,0.722000 13.775000,0.892000 14.500000,1.076000 15.225000,1.272000 15.950000,1.481000 16.675000,1.702000 17.400000,1.935000 18.125000,2.179000 18.850000,2.434000 20.300000,2.975000 21.750000,3.553000 23.200000,4.163000 24.650000,4.799000 26.100000,5.455000 29.000000,6.800000 31.900000,8.145000 33.350000,8.801000 34.800000,9.437000 36.250000,10.047000 37.700000,10.625000 39.150000,11.166000 39.875000,11.421000 40.600000,11.665000 41.325000,11.898000 42.050000,12.119000 42.775000,12.328000 43.500000,12.524000 44.225000,12.708000 44.950000,12.878000 45.675000,13.036000 46.400000,13.180000 47.125000,13.312000 47.850000,13.430000 48.575000,13.536000 49.300000,13.629000 50.025000,13.710000 50.750000,13.780000 52.200000,13.886000 53.650000,13.953000 55.100000,13.988000 56.550000,14.000000 58.000000,14.000000 58.000000,15.000000 55.825000,14.989000 54.375000,14.962000 52.925000,14.906000 51.475000,14.816000 50.750000,14.755000 50.025000,14.683000 49.300000,14.599000 48.575000,14.503000 47.850000,14.395000 47.125000,14.274000 46.400000,14.140000 45.675000,13.993000 44.950000,13.833000 44.225000,13.660000 43.500000,13.474000 42.775000,13.275000 42.050000,13.064000 41.325000,12.841000 39.875000,12.359000 38.425000,11.833000 36.975000,11.268000 35.525000,10.668000 34.075000,10.040000 32.625000,9.388000 31.175000,8.719000 28.275000,7.359000 25.375000,6.012000 23.925000,5.360000 22.475000,4.732000 21.025000,4.132000 19.575000,3.567000 18.125000,3.041000 16.675000,2.559000 15.950000,2.336000 15.225000,2.125000 14.500000,1.926000 13.775000,1.740000 13.050000,1.567000 12.325000,1.407000 11.600000,1.260000 10.875000,1.126000 10.150000,1.005000 9.425000,0.897000 8.700000,0.801000 7.975000,0.717000 7.250000,0.645000 6.525000,0.584000 5.800000,0.534000 4.350000,0.462000 2.900000,0.422000 1.450000,0.405000 0.000000,0.400000 z" /><path class="layer_3_0" d="M 0.000000,-4.900000 1.450000,-4.900000 2.900000,-4.888000 4.350000,-4.853000 5.800000,-4.786000 7.250000,-4.680000 7.975000,-4.610000 8.700000,-4.529000 9.425000,-4.436000 10.150000,-4.330000 10.875000,-4.212000 11.600000,-4.080000 12.325000,-3.936000 13.050000,-3.778000 13.775000,-3.608000 14.500000,-3.424000 15.225000,-3.228000 15.950000,-3.019000 16.675000,-2.798000 17.400000,-2.565000 18.125000,-2.321000 18.850000,-2.066000 20.300000,-1.525000 21.750000,-0.947000 23.200000,-0.337000 24.650000,0.299000 26.100000,0.955000 29.000000,2.300000 31.900000,3.645000 33.350000,4.301000 34.800000,4.937000 36.250000,5.547000 37.700000,6.125000 39.150000,6.666000 39.875000,6.921000 40.600000,7.165000 41.325000,7.398000 42.050000,7.619000 42.775000,7.828000 43.500000,8.024000 44.225000,8.208000 44.950000,8.378000 45.675000,8.536000 46.400000,8.680000 47.125000,8.812000 47.850000,8.930000 48.575000,9.036000 49.300000,9.129000 50.025000,9.210000 50.750000,9.280000 52.200000,9.386000 53.650000,9.453000 55.100000,9.488000 56.550000,9.500000 58.000000,9.500000 58.000000,19.500000 55.825000,19.489000 54.375000,19.462000 52.925000,19.406000 51.475000,19.316000 50.750000,19.255000 50.025000,19.183000 49.300000,19.099000 48.575000,19.003000 47.850000,18.895000 47.125000,18.774000 46.400000,18.640000 45.675000,18.493000 44.950000,18.333000 44.225000,18.160000 43.500000,17.974000 42.775000,17.775000 42.050000,17.564000 41.325000,17.341000 39.875000,16.859000 38.425000,16.333000 36.975000,15.768000 35.525000,15.168000 34.075000,14.540000 32.625000,13.888000 31.175000,13.219000 28.275000,11.859000 25.375000,10.512000 23.925000,9.860000 22.475000,9.232000 21.025000,8.632000 19.575000,8.067000 18.125000,7.541000 16.675000,7.059000 15.950000,6.836000 15.225000,6.625000 14.500000,6.426000 13.775000,6.240000 13.050000,6.067000 12.325000,5.907000 11.600000,5.760000 10.875000,5.626000 10.150000,5.505000 9.425000,5.397000 8.700000,5.301000 7.975000,5.217000 7.250000,5.145000 6.525000,5.084000 5.800000,5.034000 4.350000,4.962000 2.900000,4.922000 1.450000,4.905000 0.000000,4.900000 z" /><g transform="translate(58.000000 14.500000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 100.0,
                    "label": "H Extent",
                    "name": "h_extent",
                    "tooltip": "Horizontal extent of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 25.0,
                    "label": "V Offset",
                    "name": "v_offset",
                    "tooltip": "Vertical offset of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 5.0,
                    "label": "Dx Straight",
                    "name": "dx_straight",
                    "tooltip": "Horizontal extent of the straight segments at the bend input and output.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.s_bend_vert",
            "label": "S Bend Vert",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-5.500000 -35.500000 121.000000 46.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.230000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.230000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.230000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.230000;}.reference{fill:none;stroke:#221f20;stroke-width:0.161000;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:1.840000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.230000;}.dashed{stroke-dasharray:1.150000,0.690000;}.port{fill:none;stroke:#805080;stroke-width:0.460000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.345000;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-0.920000 L 1.380000,0 0,0.920000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-0.690000 C 0.920000,-0.690000 0.920000,0.690000 0,0.690000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.414000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="0.483000" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 0.000000,-0.500000 5.000000,-0.500000 6.049000,-0.492000 7.099000,-0.468000 8.148000,-0.428000 9.197000,-0.373000 10.245000,-0.302000 11.294000,-0.217000 12.342000,-0.118000 13.390000,-0.005000 14.438000,0.122000 15.486000,0.262000 16.534000,0.415000 17.581000,0.581000 18.628000,0.759000 19.675000,0.948000 21.769000,1.362000 23.861000,1.820000 24.907000,2.064000 26.999000,2.581000 29.090000,3.135000 31.180000,3.723000 33.270000,4.342000 35.359000,4.989000 37.447000,5.662000 39.535000,6.358000 41.622000,7.074000 43.709000,7.807000 45.795000,8.555000 49.966000,10.085000 58.300000,13.202000 62.464000,14.746000 64.545000,15.504000 66.626000,16.251000 68.706000,16.982000 70.785000,17.695000 72.864000,18.388000 74.942000,19.058000 77.020000,19.701000 79.097000,20.316000 81.173000,20.900000 83.249000,21.450000 84.287000,21.712000 86.361000,22.205000 88.435000,22.659000 90.509000,23.069000 91.545000,23.256000 92.581000,23.432000 93.617000,23.596000 94.653000,23.748000 95.688000,23.886000 96.724000,24.011000 97.759000,24.123000 98.794000,24.221000 99.829000,24.305000 100.863000,24.374000 101.898000,24.429000 102.932000,24.468000 103.966000,24.492000 105.000000,24.500000 110.000000,24.500000 110.000000,25.500000 105.000000,25.500000 103.951000,25.492000 102.901000,25.468000 101.852000,25.428000 100.803000,25.373000 99.755000,25.302000 98.706000,25.217000 97.658000,25.118000 96.610000,25.005000 95.562000,24.878000 94.514000,24.738000 93.466000,24.585000 92.419000,24.419000 91.372000,24.241000 90.325000,24.052000 88.231000,23.638000 86.139000,23.180000 84.047000,22.682000 81.955000,22.146000 79.865000,21.575000 77.775000,20.971000 75.685000,20.338000 73.597000,19.678000 71.509000,18.993000 69.421000,18.287000 67.334000,17.562000 65.248000,16.820000 63.162000,16.066000 58.992000,14.527000 50.659000,11.410000 46.495000,9.874000 44.415000,9.121000 42.334000,8.382000 40.254000,7.659000 38.175000,6.956000 36.097000,6.274000 34.019000,5.617000 31.941000,4.987000 29.865000,4.388000 27.789000,3.820000 25.713000,3.288000 23.639000,2.795000 21.565000,2.341000 19.492000,1.931000 18.455000,1.744000 17.419000,1.568000 16.383000,1.404000 15.347000,1.252000 14.312000,1.114000 13.276000,0.989000 12.241000,0.877000 11.206000,0.779000 10.171000,0.695000 9.137000,0.626000 8.102000,0.571000 7.068000,0.532000 6.034000,0.508000 5.000000,0.500000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 5.000000,-5.000000 6.119000,-4.991000 7.236000,-4.966000 8.352000,-4.923000 9.466000,-4.864000 10.578000,-4.790000 11.688000,-4.700000 12.796000,-4.595000 13.903000,-4.476000 15.007000,-4.342000 16.110000,-4.194000 17.211000,-4.034000 18.309000,-3.860000 19.407000,-3.673000 20.502000,-3.475000 21.595000,-3.265000 22.686000,-3.043000 23.776000,-2.810000 24.864000,-2.567000 25.950000,-2.314000 28.117000,-1.778000 30.276000,-1.206000 32.429000,-0.600000 34.576000,0.035000 36.716000,0.698000 38.850000,1.386000 40.978000,2.095000 43.100000,2.823000 45.216000,3.567000 47.326000,4.324000 51.531000,5.866000 59.875000,8.986000 64.014000,10.521000 66.076000,11.273000 68.132000,12.010000 70.183000,12.731000 72.228000,13.432000 74.266000,14.112000 76.299000,14.767000 78.326000,15.395000 80.346000,15.993000 82.360000,16.559000 84.367000,17.091000 86.367000,17.586000 87.364000,17.819000 89.353000,18.253000 90.345000,18.455000 91.335000,18.645000 92.323000,18.824000 93.309000,18.992000 94.294000,19.147000 95.276000,19.291000 96.257000,19.422000 97.236000,19.541000 98.213000,19.646000 99.188000,19.738000 100.161000,19.817000 101.132000,19.882000 102.102000,19.933000 103.070000,19.970000 104.036000,19.993000 105.000000,20.000000 110.000000,20.000000 110.000000,30.000000 105.000000,30.000000 103.881000,29.991000 102.764000,29.966000 101.648000,29.923000 100.534000,29.864000 99.422000,29.790000 98.312000,29.700000 97.204000,29.595000 96.097000,29.476000 94.993000,29.342000 93.890000,29.194000 92.789000,29.034000 91.691000,28.860000 90.593000,28.673000 89.498000,28.475000 88.405000,28.265000 87.314000,28.043000 86.224000,27.810000 85.136000,27.567000 84.050000,27.314000 82.966000,27.051000 80.803000,26.496000 78.646000,25.907000 76.497000,25.286000 74.353000,24.636000 72.216000,23.961000 70.086000,23.262000 67.961000,22.543000 65.842000,21.807000 63.728000,21.056000 61.621000,20.294000 57.422000,18.745000 49.088000,15.627000 44.954000,14.101000 42.895000,13.357000 40.842000,12.627000 38.794000,11.916000 36.752000,11.225000 34.716000,10.557000 32.687000,9.916000 30.663000,9.302000 28.646000,8.720000 26.636000,8.170000 24.633000,7.657000 22.636000,7.181000 21.641000,6.959000 19.655000,6.545000 18.665000,6.355000 17.677000,6.176000 16.691000,6.008000 15.706000,5.853000 14.724000,5.709000 13.743000,5.578000 12.764000,5.459000 11.787000,5.354000 10.812000,5.262000 9.839000,5.183000 8.868000,5.118000 7.898000,5.067000 6.930000,5.030000 5.964000,5.007000 5.000000,5.000000 0.000000,5.000000 z" /><g transform="translate(110.000000 25.000000) rotate(180.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG3000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 90.0,
                    "label": "V Offset",
                    "name": "v_offset",
                    "tooltip": "The vertical offset of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.0,
                    "label": "Euler Fraction",
                    "name": "euler_fraction",
                    "tooltip": "Fraction of the bend that is created using an Euler spiral (see :func:`photonforge.Path.arc`).",
                    "type": "number",
                    "validatesArgs": {"min": [0], "max": [1]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.u_bend_racetrack",
            "label": "U Bend Racetrack",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-5.100000 -101.100000 96.279000 112.200000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.561000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.561000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.561000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.561000;}.reference{fill:none;stroke:#221f20;stroke-width:0.392700;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:4.488000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.561000;}.dashed{stroke-dasharray:2.805000,1.683000;}.port{fill:none;stroke:#805080;stroke-width:1.122000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.841500;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-2.244000 L 3.366000,0 0,2.244000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-1.683000 C 2.244000,-1.683000 2.244000,1.683000 0,1.683000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="1.009800" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="1.178100" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 0.000000,-1.500000 6.427000,-1.487000 9.647000,-1.456000 12.871000,-1.395000 14.484000,-1.350000 16.099000,-1.294000 17.714000,-1.225000 19.329000,-1.143000 20.945000,-1.046000 22.561000,-0.933000 24.177000,-0.803000 25.792000,-0.653000 27.407000,-0.484000 29.020000,-0.294000 30.631000,-0.081000 32.241000,0.156000 33.848000,0.417000 35.451000,0.704000 37.051000,1.019000 38.646000,1.362000 40.235000,1.734000 41.818000,2.137000 43.394000,2.573000 44.962000,3.040000 46.520000,3.542000 48.068000,4.079000 49.604000,4.651000 51.127000,5.261000 51.884000,5.580000 52.636000,5.908000 53.385000,6.246000 54.129000,6.593000 54.869000,6.951000 55.605000,7.318000 56.336000,7.695000 57.062000,8.083000 57.782000,8.480000 58.498000,8.888000 59.207000,9.305000 59.911000,9.734000 60.609000,10.172000 61.301000,10.621000 61.986000,11.081000 62.664000,11.550000 63.335000,12.031000 63.999000,12.522000 64.655000,13.023000 65.303000,13.535000 65.943000,14.058000 66.575000,14.591000 67.199000,15.135000 67.813000,15.689000 68.418000,16.254000 69.013000,16.829000 69.599000,17.414000 70.175000,18.010000 70.740000,18.616000 71.294000,19.233000 71.838000,19.859000 72.370000,20.496000 72.891000,21.142000 73.399000,21.798000 73.896000,22.464000 74.379000,23.139000 74.850000,23.824000 75.308000,24.518000 75.752000,25.221000 76.183000,25.933000 76.599000,26.654000 77.001000,27.383000 77.388000,28.120000 77.760000,28.866000 78.116000,29.619000 78.457000,30.380000 78.782000,31.148000 79.091000,31.923000 79.383000,32.705000 79.658000,33.493000 79.915000,34.287000 80.156000,35.087000 80.378000,35.893000 80.583000,36.703000 80.769000,37.519000 80.937000,38.338000 81.085000,39.162000 81.215000,39.989000 81.325000,40.819000 81.416000,41.652000 81.487000,42.487000 81.538000,43.323000 81.568000,44.161000 81.579000,45.000000 81.568000,45.839000 81.538000,46.677000 81.487000,47.513000 81.416000,48.348000 81.325000,49.181000 81.215000,50.011000 81.085000,50.838000 80.937000,51.662000 80.769000,52.481000 80.583000,53.297000 80.378000,54.107000 80.156000,54.913000 79.915000,55.713000 79.658000,56.507000 79.383000,57.295000 79.091000,58.077000 78.782000,58.852000 78.457000,59.620000 78.116000,60.381000 77.760000,61.134000 77.388000,61.880000 77.001000,62.617000 76.599000,63.346000 76.183000,64.067000 75.752000,64.779000 75.308000,65.482000 74.850000,66.176000 74.379000,66.861000 73.896000,67.536000 73.399000,68.202000 72.891000,68.858000 72.370000,69.504000 71.838000,70.141000 71.294000,70.767000 70.740000,71.384000 70.175000,71.990000 69.599000,72.586000 69.013000,73.171000 68.418000,73.746000 67.813000,74.311000 67.199000,74.865000 66.575000,75.409000 65.943000,75.942000 65.303000,76.465000 64.655000,76.977000 63.999000,77.478000 63.335000,77.969000 62.664000,78.450000 61.986000,78.919000 61.301000,79.379000 60.609000,79.828000 59.911000,80.266000 59.207000,80.695000 58.498000,81.112000 57.782000,81.520000 57.062000,81.917000 56.336000,82.305000 55.605000,82.682000 54.129000,83.407000 53.385000,83.754000 52.636000,84.092000 51.884000,84.420000 50.368000,85.049000 49.604000,85.349000 48.068000,85.921000 46.520000,86.458000 44.962000,86.960000 43.394000,87.428000 41.818000,87.863000 40.235000,88.266000 38.646000,88.638000 37.051000,88.981000 35.451000,89.296000 33.848000,89.583000 32.241000,89.844000 30.631000,90.081000 29.020000,90.294000 27.407000,90.484000 25.792000,90.653000 24.177000,90.803000 22.561000,90.933000 20.945000,91.046000 19.329000,91.143000 17.714000,91.225000 16.099000,91.294000 14.484000,91.350000 12.871000,91.395000 9.647000,91.456000 6.427000,91.487000 0.000000,91.500000 0.000000,88.500000 4.808000,88.494000 8.007000,88.474000 11.202000,88.430000 14.391000,88.351000 15.984000,88.296000 17.575000,88.229000 19.164000,88.148000 20.751000,88.053000 22.336000,87.942000 23.918000,87.814000 25.498000,87.668000 27.075000,87.502000 28.648000,87.317000 30.217000,87.110000 31.783000,86.880000 33.343000,86.626000 34.898000,86.347000 36.446000,86.043000 37.989000,85.711000 39.523000,85.352000 41.049000,84.963000 42.566000,84.544000 44.073000,84.094000 45.569000,83.612000 47.053000,83.098000 48.523000,82.550000 49.979000,81.968000 50.701000,81.663000 52.133000,81.028000 52.842000,80.697000 54.247000,80.007000 54.942000,79.648000 55.631000,79.280000 56.315000,78.903000 56.994000,78.516000 57.667000,78.120000 58.334000,77.715000 58.994000,77.300000 59.648000,76.875000 60.296000,76.441000 60.936000,75.997000 61.570000,75.543000 62.196000,75.080000 62.814000,74.608000 63.425000,74.125000 64.028000,73.633000 64.622000,73.132000 65.208000,72.621000 65.784000,72.100000 66.352000,71.571000 66.911000,71.031000 67.460000,70.482000 67.999000,69.924000 68.528000,69.357000 69.046000,68.781000 69.554000,68.195000 70.051000,67.601000 70.537000,66.998000 71.011000,66.386000 71.474000,65.766000 71.924000,65.137000 72.362000,64.500000 72.788000,63.854000 73.200000,63.201000 73.600000,62.540000 73.986000,61.872000 74.359000,61.196000 74.717000,60.513000 75.062000,59.822000 75.392000,59.126000 75.707000,58.422000 76.007000,57.713000 76.292000,56.997000 76.561000,56.276000 76.815000,55.550000 77.052000,54.818000 77.273000,54.082000 77.478000,53.341000 77.666000,52.596000 77.837000,51.847000 77.991000,51.095000 78.127000,50.339000 78.246000,49.581000 78.347000,48.821000 78.430000,48.059000 78.495000,47.295000 78.541000,46.531000 78.569000,45.765000 78.579000,45.000000 78.569000,44.235000 78.541000,43.469000 78.495000,42.705000 78.430000,41.941000 78.347000,41.179000 78.246000,40.419000 78.127000,39.661000 77.991000,38.905000 77.837000,38.153000 77.666000,37.404000 77.478000,36.659000 77.273000,35.918000 77.052000,35.182000 76.815000,34.450000 76.561000,33.724000 76.292000,33.003000 76.007000,32.287000 75.707000,31.578000 75.392000,30.874000 75.062000,30.178000 74.717000,29.487000 74.359000,28.804000 73.986000,28.128000 73.600000,27.460000 73.200000,26.799000 72.788000,26.146000 72.362000,25.500000 71.924000,24.863000 71.474000,24.234000 71.011000,23.614000 70.537000,23.002000 70.051000,22.399000 69.554000,21.805000 69.046000,21.219000 68.528000,20.643000 67.999000,20.076000 67.460000,19.518000 66.911000,18.969000 66.352000,18.429000 65.784000,17.900000 65.208000,17.379000 64.622000,16.868000 64.028000,16.367000 63.425000,15.875000 62.814000,15.392000 62.196000,14.920000 61.570000,14.457000 60.936000,14.003000 60.296000,13.559000 59.648000,13.125000 58.994000,12.700000 58.334000,12.285000 57.667000,11.880000 56.994000,11.484000 56.315000,11.097000 55.631000,10.720000 54.942000,10.352000 54.247000,9.993000 52.842000,9.303000 52.133000,8.972000 51.419000,8.650000 49.979000,8.032000 48.523000,7.450000 47.053000,6.902000 45.569000,6.388000 44.073000,5.906000 42.566000,5.456000 41.049000,5.037000 39.523000,4.648000 37.989000,4.289000 36.446000,3.957000 34.898000,3.653000 33.343000,3.374000 31.783000,3.120000 30.217000,2.890000 28.648000,2.683000 27.075000,2.498000 25.498000,2.332000 23.918000,2.186000 22.336000,2.058000 20.751000,1.947000 19.164000,1.852000 17.575000,1.771000 15.984000,1.704000 14.391000,1.649000 12.797000,1.605000 9.605000,1.544000 6.408000,1.513000 0.000000,1.500000 z" /><path class="layer_3_0" d="M 0.000000,-6.000000 6.454000,-5.987000 9.709000,-5.955000 12.981000,-5.893000 14.624000,-5.848000 16.271000,-5.791000 17.922000,-5.721000 19.578000,-5.637000 21.237000,-5.537000 22.899000,-5.421000 24.565000,-5.286000 26.233000,-5.132000 27.904000,-4.956000 29.578000,-4.759000 31.252000,-4.538000 32.929000,-4.292000 34.605000,-4.019000 36.282000,-3.719000 37.958000,-3.389000 39.632000,-3.029000 41.304000,-2.637000 42.972000,-2.212000 44.636000,-1.753000 46.295000,-1.258000 47.947000,-0.726000 48.770000,-0.446000 49.591000,-0.156000 50.409000,0.144000 52.039000,0.773000 52.850000,1.103000 53.657000,1.444000 54.461000,1.795000 55.262000,2.156000 56.060000,2.528000 56.853000,2.911000 57.642000,3.306000 58.427000,3.711000 59.207000,4.127000 59.983000,4.555000 60.753000,4.994000 61.518000,5.444000 62.278000,5.906000 63.032000,6.380000 63.779000,6.865000 64.520000,7.362000 65.255000,7.871000 65.982000,8.392000 66.703000,8.925000 67.415000,9.470000 68.120000,10.026000 68.817000,10.595000 69.505000,11.176000 70.185000,11.769000 70.855000,12.373000 71.516000,12.990000 72.167000,13.619000 72.808000,14.260000 73.439000,14.912000 74.058000,15.577000 74.667000,16.253000 75.264000,16.941000 75.849000,17.641000 76.421000,18.352000 76.982000,19.075000 77.529000,19.809000 78.062000,20.554000 78.583000,21.310000 79.089000,22.077000 79.580000,22.855000 80.057000,23.644000 80.518000,24.442000 80.964000,25.251000 81.393000,26.070000 81.807000,26.898000 82.204000,27.736000 82.583000,28.583000 82.945000,29.439000 83.289000,30.303000 83.615000,31.176000 83.922000,32.057000 84.211000,32.945000 84.480000,33.841000 84.729000,34.743000 84.958000,35.652000 85.167000,36.567000 85.355000,37.487000 85.523000,38.413000 85.668000,39.344000 85.793000,40.279000 85.895000,41.217000 85.975000,42.159000 86.032000,43.104000 86.067000,44.051000 86.079000,45.000000 86.067000,45.949000 86.032000,46.896000 85.975000,47.841000 85.895000,48.783000 85.793000,49.721000 85.668000,50.656000 85.523000,51.587000 85.355000,52.513000 85.167000,53.433000 84.958000,54.348000 84.729000,55.257000 84.480000,56.159000 84.211000,57.055000 83.922000,57.943000 83.615000,58.824000 83.289000,59.697000 82.945000,60.561000 82.583000,61.417000 82.204000,62.264000 81.807000,63.102000 81.393000,63.930000 80.964000,64.749000 80.518000,65.558000 80.057000,66.357000 79.580000,67.145000 79.089000,67.923000 78.583000,68.690000 78.062000,69.446000 77.529000,70.191000 76.982000,70.925000 76.421000,71.648000 75.849000,72.359000 75.264000,73.059000 74.667000,73.747000 74.058000,74.423000 73.439000,75.088000 72.808000,75.740000 72.167000,76.381000 71.516000,77.010000 70.855000,77.627000 70.185000,78.231000 69.505000,78.824000 68.817000,79.405000 68.120000,79.974000 67.415000,80.530000 66.703000,81.075000 65.982000,81.608000 65.255000,82.129000 64.520000,82.638000 63.779000,83.135000 63.032000,83.620000 62.278000,84.094000 61.518000,84.556000 60.753000,85.006000 59.983000,85.445000 59.207000,85.873000 58.427000,86.289000 57.642000,86.695000 56.853000,87.089000 56.060000,87.472000 55.262000,87.844000 54.461000,88.205000 53.657000,88.556000 52.850000,88.897000 52.039000,89.227000 50.409000,89.856000 49.591000,90.156000 48.770000,90.446000 47.947000,90.726000 46.295000,91.258000 44.636000,91.753000 42.972000,92.212000 41.304000,92.637000 39.632000,93.029000 37.958000,93.389000 36.282000,93.719000 34.605000,94.019000 32.929000,94.292000 31.252000,94.538000 29.578000,94.759000 27.904000,94.956000 26.233000,95.132000 24.565000,95.286000 22.899000,95.421000 21.237000,95.537000 19.578000,95.637000 17.922000,95.721000 16.271000,95.791000 14.624000,95.848000 11.343000,95.929000 8.079000,95.974000 4.834000,95.994000 0.000000,96.000000 0.000000,84.000000 6.381000,83.987000 9.543000,83.956000 12.687000,83.897000 14.251000,83.853000 15.811000,83.799000 17.366000,83.734000 18.915000,83.655000 20.459000,83.562000 21.998000,83.454000 23.530000,83.331000 25.057000,83.189000 26.577000,83.030000 28.090000,82.852000 29.596000,82.653000 31.095000,82.433000 32.585000,82.190000 34.067000,81.925000 35.540000,81.635000 37.003000,81.321000 38.455000,80.980000 39.896000,80.613000 41.325000,80.219000 42.741000,79.796000 44.143000,79.345000 45.531000,78.863000 46.902000,78.352000 48.257000,77.810000 49.594000,77.237000 50.912000,76.632000 52.210000,75.994000 53.486000,75.325000 54.115000,74.978000 55.356000,74.259000 56.572000,73.507000 57.170000,73.119000 58.345000,72.318000 58.922000,71.905000 59.492000,71.483000 60.054000,71.054000 60.608000,70.616000 61.154000,70.171000 61.692000,69.717000 62.221000,69.255000 62.742000,68.785000 63.254000,68.307000 63.757000,67.821000 64.251000,67.328000 64.735000,66.826000 65.209000,66.318000 65.674000,65.801000 66.128000,65.277000 66.572000,64.746000 67.006000,64.208000 67.429000,63.663000 67.840000,63.110000 68.241000,62.551000 68.630000,61.986000 69.007000,61.414000 69.373000,60.835000 69.726000,60.251000 70.067000,59.660000 70.396000,59.064000 70.712000,58.462000 71.015000,57.855000 71.305000,57.243000 71.581000,56.626000 71.844000,56.004000 72.093000,55.378000 72.329000,54.748000 72.550000,54.114000 72.757000,53.476000 72.949000,52.835000 73.127000,52.191000 73.290000,51.544000 73.439000,50.895000 73.572000,50.244000 73.690000,49.591000 73.792000,48.936000 73.879000,48.281000 73.951000,47.625000 74.007000,46.968000 74.047000,46.312000 74.071000,45.655000 74.079000,45.000000 74.071000,44.345000 74.047000,43.688000 74.007000,43.032000 73.951000,42.375000 73.879000,41.719000 73.792000,41.064000 73.690000,40.409000 73.572000,39.756000 73.439000,39.105000 73.290000,38.456000 73.127000,37.809000 72.949000,37.165000 72.757000,36.524000 72.550000,35.887000 72.329000,35.252000 72.093000,34.622000 71.844000,33.996000 71.581000,33.374000 71.305000,32.757000 71.015000,32.145000 70.712000,31.538000 70.396000,30.936000 70.067000,30.340000 69.726000,29.749000 69.373000,29.165000 69.007000,28.586000 68.630000,28.014000 68.241000,27.449000 67.840000,26.890000 67.429000,26.337000 67.006000,25.792000 66.572000,25.254000 66.128000,24.723000 65.674000,24.199000 65.209000,23.682000 64.735000,23.174000 64.251000,22.672000 63.757000,22.179000 63.254000,21.693000 62.742000,21.215000 62.221000,20.745000 61.692000,20.283000 61.154000,19.829000 60.608000,19.384000 60.054000,18.946000 59.492000,18.517000 58.922000,18.095000 58.345000,17.682000 57.761000,17.278000 57.170000,16.881000 56.572000,16.493000 55.356000,15.741000 54.115000,15.022000 53.486000,14.675000 52.210000,14.006000 50.912000,13.368000 49.594000,12.763000 48.257000,12.190000 46.902000,11.648000 45.531000,11.137000 44.143000,10.655000 42.741000,10.204000 41.325000,9.781000 39.896000,9.387000 38.455000,9.020000 37.003000,8.679000 35.540000,8.365000 34.067000,8.075000 32.585000,7.810000 31.095000,7.567000 29.596000,7.347000 28.090000,7.149000 26.577000,6.970000 25.057000,6.811000 23.530000,6.669000 21.998000,6.546000 20.459000,6.438000 18.915000,6.345000 17.366000,6.266000 15.811000,6.201000 14.251000,6.147000 12.687000,6.103000 9.543000,6.044000 6.381000,6.013000 0.000000,6.000000 z" /><g transform="translate(0.000000 90.000000) rotate(0.000000)"><path class="port" d="M 0,-4.000000 V 4.000000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-4.000000 V 4.000000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
        {
            "arguments": [
                {
                    "defaults": "RWG1000",
                    "label": "Port Spec",
                    "name": "port_spec",
                    "tooltip": "Port specification describing waveguide cross-section.",
                    "category": "portSpec",
                    "type": "select",
                },
                {
                    "defaults": 80.0,
                    "label": "V Offset",
                    "name": "v_offset",
                    "tooltip": "Vertical offset of the bend.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1.0,
                    "label": "Euler Fraction",
                    "name": "euler_fraction",
                    "tooltip": "Fraction of the bend that is created using an Euler spiral (see :func:`photonforge.Path.arc`).",
                    "type": "number",
                    "validatesArgs": {"min": [0], "max": [1]},
                },
                {
                    "name": "technology",
                    "placeholder": "Use the global default technology.",
                    "required": False,
                    "tooltip": "Component technology.",
                    "type": "technology",
                },
                {"name": "name", "required": False, "tooltip": "Component name.", "type": "input"},
            ],
            "function": "component.u_turn_bend",
            "label": "U Turn Bend",
            "svg": '<?xml version="1.0" encoding="UTF-8"?><svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" height="20.000000rem" viewBox="-4.500000 -89.500000 85.181000 99.000000"><style>path{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.495000;}rect{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.495000;}circle{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.495000;}ellipse{fill:#a3b8d6;stroke:#908f8f;stroke-width:0.495000;}.reference{fill:none;stroke:#221f20;stroke-width:0.346500;}.label{transform:scale(1,-1);fill:#221f20;font-weight:bold;font-size:3.960000px;}.terminal{fill:none;stroke:#805080;stroke-width:0.495000;}.dashed{stroke-dasharray:2.475000,1.485000;}.port{fill:none;stroke:#805080;stroke-width:0.990000;}.virtual-connection{fill:none;stroke:#907090;stroke-width:0.742500;}.layer_21_1{stroke:#f0b905;fill:#f0b905;fill-opacity:0.094;}.label_21_1{fill:#f0b905;}.layer_201_0{stroke:#80a8ff;fill:#80a8ff;fill-opacity:0.094;}.label_201_0{fill:#80a8ff;}.layer_21_0{stroke:#eadb07;fill:#eadb07;fill-opacity:0.094;}.label_21_0{fill:#eadb07;}.layer_6_1{stroke:#00fe9c;fill:#00fe9c;fill-opacity:0.094;}.label_6_1{fill:#00fe9c;}.layer_31_0{stroke:#ba29c2;fill:#ba29c2;fill-opacity:0.094;}.label_31_0{fill:#ba29c2;}.layer_6_0{stroke:#ffc6b8;fill:#ffc6b8;fill-opacity:0.094;}.label_6_0{fill:#ffc6b8;}.layer_4_0{stroke:#5179b5;fill:#5179b5;fill-opacity:0.094;}.label_4_0{fill:#5179b5;}.layer_3_1{stroke:#6750bf;fill:#6750bf;fill-opacity:0.094;}.label_3_1{fill:#6750bf;}.layer_3_0{stroke:#000080;fill:#000080;fill-opacity:0.094;}.label_3_0{fill:#000080;}.layer_2_0{stroke:#7d57de;fill:#7d57de;fill-opacity:0.094;}.label_2_0{fill:#7d57de;}</style><defs><path id="port-symbol" class="port" d="M 0,-1.980000 L 2.970000,0 0,1.980000" /><path id="ref-port-symbol" class="port" style="stroke-opacity:0.33;" d="M 0,-1.485000 C 1.980000,-1.485000 1.980000,1.485000 0,1.485000" /><circle id="port-bend-symbol" style="stroke-width:0;stroke:none;fill:#805080;" cx="0" cy="0" r="0.891000" /><circle id="connection-symbol" style="stroke-width:0;stroke:none;fill:#907090;" cx="0" cy="0" r="1.039500" /></defs><g transform="scale(1 -1)"><g id="C0"><path class="layer_2_0" d="M 0.000000,-0.500000 5.707000,-0.488000 8.563000,-0.461000 11.420000,-0.407000 14.278000,-0.317000 15.707000,-0.257000 17.136000,-0.184000 18.564000,-0.099000 19.992000,0.001000 21.419000,0.117000 22.845000,0.249000 24.269000,0.398000 25.692000,0.566000 27.113000,0.753000 28.531000,0.962000 29.947000,1.192000 31.358000,1.445000 32.766000,1.722000 34.169000,2.024000 35.567000,2.351000 36.958000,2.705000 38.343000,3.088000 39.719000,3.499000 41.087000,3.939000 42.445000,4.410000 43.792000,4.912000 45.128000,5.446000 46.450000,6.013000 47.106000,6.309000 48.405000,6.926000 49.689000,7.578000 50.955000,8.265000 51.580000,8.621000 52.816000,9.361000 53.426000,9.744000 54.629000,10.538000 55.221000,10.948000 55.807000,11.368000 56.387000,11.797000 56.960000,12.234000 57.526000,12.681000 58.084000,13.137000 58.635000,13.602000 59.179000,14.077000 59.715000,14.560000 60.242000,15.052000 60.761000,15.553000 61.272000,16.064000 61.773000,16.583000 62.265000,17.111000 62.748000,17.648000 63.222000,18.193000 63.685000,18.747000 64.138000,19.310000 64.580000,19.881000 65.012000,20.460000 65.433000,21.047000 65.842000,21.643000 66.240000,22.246000 66.627000,22.857000 67.001000,23.476000 67.362000,24.102000 67.711000,24.735000 68.047000,25.376000 68.370000,26.023000 68.680000,26.677000 68.976000,27.337000 69.258000,28.003000 69.525000,28.676000 69.779000,29.354000 70.017000,30.037000 70.241000,30.726000 70.449000,31.420000 70.642000,32.118000 70.819000,32.820000 70.980000,33.526000 71.125000,34.236000 71.254000,34.949000 71.366000,35.665000 71.462000,36.383000 71.540000,37.104000 71.602000,37.826000 71.646000,38.550000 71.672000,39.275000 71.681000,40.000000 71.672000,40.725000 71.646000,41.450000 71.602000,42.174000 71.540000,42.896000 71.462000,43.617000 71.366000,44.335000 71.254000,45.051000 71.125000,45.764000 70.980000,46.474000 70.819000,47.180000 70.642000,47.882000 70.449000,48.580000 70.241000,49.274000 70.017000,49.963000 69.779000,50.646000 69.525000,51.324000 69.258000,51.997000 68.976000,52.663000 68.680000,53.323000 68.370000,53.977000 68.047000,54.624000 67.711000,55.265000 67.362000,55.898000 67.001000,56.524000 66.627000,57.143000 66.240000,57.754000 65.842000,58.357000 65.433000,58.953000 65.012000,59.540000 64.580000,60.119000 64.138000,60.690000 63.685000,61.253000 63.222000,61.807000 62.748000,62.352000 62.265000,62.889000 61.773000,63.417000 61.272000,63.936000 60.761000,64.447000 60.242000,64.948000 59.715000,65.440000 59.179000,65.923000 58.635000,66.398000 58.084000,66.863000 57.526000,67.319000 56.960000,67.766000 56.387000,68.203000 55.807000,68.632000 55.221000,69.052000 54.629000,69.462000 54.030000,69.863000 53.426000,70.256000 52.816000,70.639000 52.201000,71.013000 51.580000,71.379000 50.324000,72.083000 49.689000,72.422000 48.405000,73.074000 47.106000,73.691000 45.790000,74.274000 44.462000,74.825000 43.120000,75.343000 41.767000,75.829000 40.404000,76.285000 39.032000,76.711000 37.651000,77.107000 36.263000,77.475000 34.869000,77.816000 33.468000,78.131000 32.063000,78.420000 30.653000,78.684000 29.239000,78.926000 27.822000,79.145000 26.403000,79.343000 24.981000,79.521000 23.557000,79.679000 22.132000,79.819000 20.705000,79.943000 19.278000,80.050000 17.850000,80.143000 16.421000,80.222000 14.992000,80.289000 12.135000,80.388000 9.277000,80.450000 6.421000,80.483000 3.566000,80.497000 0.000000,80.500000 0.000000,79.500000 4.989000,79.492000 7.838000,79.470000 10.684000,79.423000 13.529000,79.344000 14.950000,79.289000 16.371000,79.223000 17.790000,79.145000 19.208000,79.053000 20.625000,78.946000 22.040000,78.824000 23.453000,78.684000 24.864000,78.527000 26.272000,78.351000 27.677000,78.156000 29.079000,77.939000 30.477000,77.700000 31.870000,77.438000 33.258000,77.153000 34.641000,76.842000 36.017000,76.506000 37.385000,76.143000 38.746000,75.752000 40.098000,75.333000 41.440000,74.885000 42.771000,74.406000 44.090000,73.896000 45.396000,73.355000 46.688000,72.782000 47.965000,72.176000 49.224000,71.536000 50.466000,70.863000 51.079000,70.513000 52.290000,69.789000 53.480000,69.029000 54.066000,68.636000 54.645000,68.234000 55.219000,67.823000 55.786000,67.404000 56.346000,66.976000 56.899000,66.539000 57.446000,66.093000 57.984000,65.639000 58.515000,65.175000 59.039000,64.703000 59.554000,64.223000 60.060000,63.733000 60.558000,63.235000 61.048000,62.729000 61.528000,62.214000 61.999000,61.690000 62.460000,61.159000 62.912000,60.619000 63.353000,60.070000 63.784000,59.514000 64.205000,58.950000 64.614000,58.378000 65.013000,57.799000 65.400000,57.212000 65.776000,56.617000 66.140000,56.015000 66.491000,55.407000 66.831000,54.791000 67.157000,54.169000 67.471000,53.540000 67.772000,52.905000 68.059000,52.264000 68.333000,51.617000 68.592000,50.964000 68.838000,50.306000 69.069000,49.643000 69.286000,48.976000 69.488000,48.303000 69.675000,47.627000 69.847000,46.946000 70.003000,46.262000 70.143000,45.575000 70.268000,44.885000 70.377000,44.192000 70.469000,43.497000 70.545000,42.799000 70.604000,42.101000 70.647000,41.401000 70.672000,40.701000 70.681000,40.000000 70.672000,39.299000 70.647000,38.599000 70.604000,37.899000 70.545000,37.201000 70.469000,36.503000 70.377000,35.808000 70.268000,35.115000 70.143000,34.425000 70.003000,33.738000 69.847000,33.054000 69.675000,32.373000 69.488000,31.697000 69.286000,31.024000 69.069000,30.357000 68.838000,29.694000 68.592000,29.036000 68.333000,28.383000 68.059000,27.736000 67.772000,27.095000 67.471000,26.460000 67.157000,25.831000 66.831000,25.209000 66.491000,24.593000 66.140000,23.985000 65.776000,23.383000 65.400000,22.788000 65.013000,22.201000 64.614000,21.622000 64.205000,21.050000 63.784000,20.486000 63.353000,19.930000 62.912000,19.381000 62.460000,18.841000 61.999000,18.310000 61.528000,17.786000 61.048000,17.271000 60.558000,16.765000 60.060000,16.267000 59.554000,15.777000 59.039000,15.297000 58.515000,14.825000 57.984000,14.361000 57.446000,13.907000 56.899000,13.461000 56.346000,13.024000 55.786000,12.596000 55.219000,12.177000 54.645000,11.766000 54.066000,11.364000 53.480000,10.971000 52.290000,10.211000 51.687000,9.845000 50.466000,9.137000 49.847000,8.796000 48.597000,8.140000 47.329000,7.517000 46.044000,6.927000 44.745000,6.370000 43.432000,5.845000 42.107000,5.351000 40.770000,4.887000 39.423000,4.454000 38.067000,4.049000 36.702000,3.672000 35.329000,3.322000 33.950000,2.999000 32.565000,2.701000 31.174000,2.428000 29.778000,2.178000 28.379000,1.950000 26.975000,1.744000 25.568000,1.558000 24.159000,1.392000 22.747000,1.244000 21.332000,1.113000 19.917000,0.999000 18.499000,0.899000 17.080000,0.814000 15.661000,0.742000 14.240000,0.682000 11.396000,0.593000 8.550000,0.539000 5.701000,0.512000 2.851000,0.501000 0.000000,0.500000 z" /><path class="layer_3_0" d="M 0.000000,-5.000000 5.735000,-4.988000 8.625000,-4.960000 11.531000,-4.905000 12.989000,-4.865000 14.451000,-4.814000 15.916000,-4.752000 17.384000,-4.677000 18.855000,-4.589000 20.330000,-4.486000 21.806000,-4.366000 23.286000,-4.230000 24.767000,-4.074000 26.250000,-3.899000 27.734000,-3.703000 29.219000,-3.485000 30.704000,-3.244000 32.189000,-2.978000 33.673000,-2.686000 35.155000,-2.367000 36.635000,-2.020000 38.112000,-1.644000 39.584000,-1.238000 41.052000,-0.800000 42.513000,-0.329000 43.968000,0.175000 45.414000,0.714000 46.850000,1.289000 48.275000,1.900000 48.983000,2.219000 50.389000,2.887000 51.086000,3.235000 52.470000,3.961000 53.155000,4.339000 53.836000,4.727000 54.512000,5.125000 55.183000,5.533000 55.849000,5.952000 56.509000,6.381000 57.164000,6.820000 57.812000,7.269000 58.455000,7.729000 59.091000,8.200000 59.720000,8.681000 60.343000,9.172000 60.958000,9.674000 61.566000,10.187000 62.165000,10.710000 62.757000,11.244000 63.340000,11.789000 63.915000,12.344000 64.481000,12.909000 65.037000,13.485000 65.584000,14.071000 66.121000,14.668000 66.647000,15.275000 67.163000,15.892000 67.669000,16.520000 68.163000,17.157000 68.645000,17.805000 69.116000,18.462000 69.575000,19.129000 70.021000,19.805000 70.454000,20.491000 70.874000,21.186000 71.281000,21.890000 71.674000,22.603000 72.053000,23.325000 72.417000,24.055000 72.767000,24.794000 73.102000,25.540000 73.421000,26.295000 73.724000,27.056000 74.011000,27.825000 74.282000,28.601000 74.536000,29.384000 74.773000,30.173000 74.992000,30.968000 75.194000,31.768000 75.378000,32.574000 75.544000,33.385000 75.691000,34.201000 75.820000,35.020000 75.929000,35.843000 76.019000,36.670000 76.090000,37.499000 76.140000,38.331000 76.171000,39.165000 76.181000,40.000000 76.171000,40.835000 76.140000,41.669000 76.090000,42.501000 76.019000,43.330000 75.929000,44.157000 75.820000,44.980000 75.691000,45.799000 75.544000,46.615000 75.378000,47.426000 75.194000,48.232000 74.992000,49.032000 74.773000,49.827000 74.536000,50.616000 74.282000,51.399000 74.011000,52.175000 73.724000,52.944000 73.421000,53.705000 73.102000,54.460000 72.767000,55.206000 72.417000,55.945000 72.053000,56.675000 71.674000,57.397000 71.281000,58.110000 70.874000,58.814000 70.454000,59.509000 70.021000,60.195000 69.575000,60.871000 69.116000,61.538000 68.645000,62.195000 68.163000,62.843000 67.669000,63.480000 67.163000,64.108000 66.647000,64.725000 66.121000,65.332000 65.584000,65.929000 65.037000,66.515000 64.481000,67.091000 63.915000,67.656000 63.340000,68.211000 62.757000,68.756000 62.165000,69.290000 61.566000,69.813000 60.958000,70.326000 60.343000,70.828000 59.720000,71.319000 59.091000,71.800000 58.455000,72.271000 57.812000,72.731000 57.164000,73.180000 56.509000,73.619000 55.849000,74.048000 55.183000,74.467000 54.512000,74.875000 53.836000,75.273000 53.155000,75.661000 52.470000,76.039000 51.086000,76.765000 50.389000,77.113000 48.983000,77.781000 47.564000,78.410000 46.133000,79.003000 44.692000,79.560000 43.242000,80.081000 41.784000,80.568000 40.319000,81.023000 38.849000,81.445000 37.374000,81.836000 35.896000,82.197000 34.414000,82.530000 32.931000,82.835000 31.447000,83.114000 29.961000,83.368000 28.476000,83.597000 26.992000,83.804000 25.508000,83.990000 24.026000,84.154000 22.546000,84.300000 21.068000,84.428000 19.592000,84.539000 18.119000,84.635000 16.649000,84.716000 15.183000,84.785000 13.719000,84.841000 10.803000,84.922000 7.901000,84.969000 5.015000,84.992000 0.000000,85.000000 0.000000,75.000000 4.261000,74.995000 7.082000,74.977000 9.888000,74.938000 12.678000,74.870000 15.452000,74.763000 16.832000,74.693000 18.208000,74.610000 19.579000,74.514000 20.945000,74.404000 22.305000,74.278000 23.661000,74.136000 25.010000,73.977000 26.354000,73.799000 27.691000,73.603000 29.021000,73.387000 30.343000,73.150000 31.658000,72.891000 32.964000,72.610000 34.261000,72.306000 35.548000,71.978000 36.825000,71.626000 38.091000,71.248000 39.344000,70.845000 40.584000,70.414000 41.811000,69.957000 43.023000,69.472000 44.219000,68.960000 45.398000,68.418000 46.560000,67.848000 47.702000,67.248000 48.824000,66.620000 49.376000,66.294000 50.465000,65.621000 51.531000,64.918000 52.054000,64.555000 53.082000,63.807000 54.082000,63.030000 54.572000,62.630000 55.529000,61.809000 55.996000,61.388000 56.455000,60.959000 56.907000,60.523000 57.349000,60.081000 57.784000,59.631000 58.210000,59.174000 58.627000,58.711000 59.035000,58.241000 59.433000,57.764000 59.822000,57.280000 60.202000,56.791000 60.572000,56.295000 60.931000,55.793000 61.281000,55.285000 61.620000,54.771000 61.948000,54.251000 62.266000,53.726000 62.572000,53.195000 62.868000,52.659000 63.152000,52.118000 63.424000,51.572000 63.685000,51.022000 63.933000,50.467000 64.170000,49.908000 64.394000,49.345000 64.606000,48.778000 64.805000,48.207000 64.991000,47.633000 65.164000,47.057000 65.324000,46.477000 65.471000,45.895000 65.605000,45.310000 65.725000,44.724000 65.831000,44.136000 65.923000,43.547000 66.002000,42.956000 66.066000,42.365000 66.116000,41.774000 66.152000,41.182000 66.174000,40.591000 66.181000,40.000000 66.174000,39.409000 66.152000,38.818000 66.116000,38.226000 66.066000,37.635000 66.002000,37.044000 65.923000,36.453000 65.831000,35.864000 65.725000,35.276000 65.605000,34.690000 65.471000,34.105000 65.324000,33.523000 65.164000,32.943000 64.991000,32.367000 64.805000,31.793000 64.606000,31.222000 64.394000,30.655000 64.170000,30.092000 63.933000,29.533000 63.685000,28.978000 63.424000,28.428000 63.152000,27.882000 62.868000,27.341000 62.572000,26.805000 62.266000,26.274000 61.948000,25.749000 61.620000,25.229000 61.281000,24.715000 60.931000,24.207000 60.572000,23.705000 60.202000,23.209000 59.822000,22.720000 59.433000,22.236000 59.035000,21.759000 58.627000,21.289000 58.210000,20.826000 57.784000,20.369000 57.349000,19.919000 56.907000,19.477000 55.996000,18.612000 55.529000,18.191000 54.572000,17.370000 54.082000,16.970000 53.082000,16.193000 52.571000,15.815000 51.531000,15.082000 51.001000,14.727000 49.924000,14.039000 48.824000,13.380000 47.702000,12.752000 46.560000,12.152000 45.398000,11.582000 44.219000,11.040000 43.023000,10.528000 41.811000,10.043000 40.584000,9.586000 39.344000,9.155000 38.091000,8.752000 36.825000,8.374000 35.548000,8.022000 34.261000,7.694000 32.964000,7.390000 31.658000,7.109000 30.343000,6.850000 29.021000,6.614000 27.691000,6.397000 26.354000,6.201000 25.010000,6.023000 23.661000,5.864000 22.305000,5.722000 20.945000,5.596000 19.579000,5.486000 18.208000,5.390000 16.832000,5.307000 15.452000,5.237000 12.678000,5.130000 11.285000,5.092000 8.487000,5.039000 5.674000,5.012000 2.845000,5.001000 0.000000,5.000000 z" /><g transform="translate(0.000000 80.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g><g transform="translate(0.000000 0.000000) rotate(0.000000)"><path class="port" d="M 0,-2.500000 V 2.500000" /><use href="#port-symbol" /></g></g></g></svg>',
        },
    ],
    "technologies": [
        {
            "arguments": [
                {
                    "defaults": 0.4,
                    "label": "Ln Thickness",
                    "name": "ln_thickness",
                    "tooltip": "LiNbO₃ layer thickness.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.2,
                    "label": "Slab Thickness",
                    "name": "slab_thickness",
                    "tooltip": "Partially etched slab thickness in LiNbO₃.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 13.5,
                    "label": "Sidewall Angle",
                    "name": "sidewall_angle",
                    "tooltip": "Sidewall angle (in degrees) for LiNbO₃ etching.",
                    "type": "number",
                    "suffix": "°",
                    "validates": ["min", "max"],
                    "validatesArgs": {"min": [-90], "max": [90]},
                },
                {
                    "defaults": 4.7,
                    "label": "Box Thickness",
                    "name": "box_thickness",
                    "tooltip": "Thickness of the bottom oxide clad.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 0.9,
                    "label": "Tl Thickness",
                    "name": "tl_thickness",
                    "tooltip": "TL layer thickness.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": 1,
                    "label": "Tl Separation",
                    "name": "tl_separation",
                    "tooltip": "Separation between the LiNbO₃ and TL layers.",
                    "type": "number",
                    "suffix": "μm",
                    "validates": ["min"],
                    "validatesArgs": {"min": [0]},
                },
                {
                    "defaults": False,
                    "label": "Include Substrate",
                    "name": "include_substrate",
                    "tooltip": "Flag indicating whether or not to include the silicon substrate.",
                    "type": "checkbox",
                },
                {
                    "defaults": False,
                    "label": "Include Top Opening",
                    "name": "include_top_opening",
                    "tooltip": "Flag indicating whether or not to include the open region above the last extrusion layer.",
                    "type": "checkbox",
                },
                {
                    "itemSpan": 24,
                    "label": "SiO₂",
                    "name": "sio2",
                    "tooltip": "Oxide and background medium.",
                    "type": "subForm",
                    "children": [
                        {
                            "type": "medium",
                            "name": "optical",
                            "hideLabel": True,
                            "prefix": "Optical",
                            "defaults": {
                                "type": "material_library",
                                "value": {"path": ["SiO2", "Palik_Lossless"]},
                            },
                        },
                        {
                            "type": "medium",
                            "name": "electrical",
                            "hideLabel": True,
                            "prefix": "Electrical",
                            "defaults": {
                                "type": "constructor",
                                "value": {"name": "SiO2", "permittivity": 3.9, "type": "Medium"},
                            },
                        },
                    ],
                },
                {
                    "itemSpan": 24,
                    "label": "Si",
                    "name": "si",
                    "tooltip": "Silicon medium.",
                    "type": "subForm",
                    "children": [
                        {
                            "type": "medium",
                            "name": "optical",
                            "hideLabel": True,
                            "prefix": "Optical",
                            "defaults": {
                                "type": "material_library",
                                "value": {"path": ["cSi", "Li1993_293K"]},
                            },
                        },
                        {
                            "type": "medium",
                            "name": "electrical",
                            "hideLabel": True,
                            "prefix": "Electrical",
                            "defaults": {
                                "type": "constructor",
                                "value": {"name": "Si", "permittivity": 11.7, "type": "Medium"},
                            },
                        },
                    ],
                },
                {
                    "itemSpan": 24,
                    "label": "Ln",
                    "name": "ln",
                    "tooltip": "LiNbO₃ medium.",
                    "type": "subForm",
                    "children": [
                        {
                            "type": "medium",
                            "name": "optical",
                            "hideLabel": True,
                            "prefix": "Optical",
                            "defaults": {
                                "type": "constructor",
                                "value": {
                                    "type": "AnisotropicMedium",
                                    "xx": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "eps_inf": 1.0,
                                        "frequency_range": (59958491600000.0, 749481145000000.0),
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "poles": (
                                            (
                                                {"real": 0.0, "imag": 1.4182450644861764e16},
                                                {"real": -0.0, "imag": -1.895768177698672e16},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 7745686426535269.0},
                                                {"real": -0.0, "imag": -4759724309105923.0},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 86464275012302.47},
                                                {"real": -0.0, "imag": -545330182502591.7},
                                            ),
                                        ),
                                        "type": "PoleResidue",
                                        "viz_spec": None,
                                    },
                                    "yy": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "eps_inf": 1.0,
                                        "frequency_range": (59958491600000.0, 749481145000000.0),
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "poles": (
                                            (
                                                {"real": 0.0, "imag": 1.3165630127713252e16},
                                                {"real": -0.0, "imag": -1.961942201631829e16},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 7299001563858286.0},
                                                {"real": -0.0, "imag": -2182766417671820.2},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 92344737457068.7},
                                                {"real": -0.0, "imag": -413441241305915.1},
                                            ),
                                        ),
                                        "type": "PoleResidue",
                                        "viz_spec": None,
                                    },
                                    "zz": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "eps_inf": 1.0,
                                        "frequency_range": (59958491600000.0, 749481145000000.0),
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "poles": (
                                            (
                                                {"real": 0.0, "imag": 1.4182450644861764e16},
                                                {"real": -0.0, "imag": -1.895768177698672e16},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 7745686426535269.0},
                                                {"real": -0.0, "imag": -4759724309105923.0},
                                            ),
                                            (
                                                {"real": 0.0, "imag": 86464275012302.47},
                                                {"real": -0.0, "imag": -545330182502591.7},
                                            ),
                                        ),
                                        "type": "PoleResidue",
                                        "viz_spec": None,
                                    },
                                },
                            },
                        },
                        {
                            "type": "medium",
                            "name": "electrical",
                            "hideLabel": True,
                            "prefix": "Electrical",
                            "defaults": {
                                "type": "constructor",
                                "value": {
                                    "type": "AnisotropicMedium",
                                    "xx": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "conductivity": 0.0,
                                        "frequency_range": None,
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "permittivity": 44.0,
                                        "type": "Medium",
                                        "viz_spec": None,
                                    },
                                    "yy": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "conductivity": 0.0,
                                        "frequency_range": None,
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "permittivity": 27.9,
                                        "type": "Medium",
                                        "viz_spec": None,
                                    },
                                    "zz": {
                                        "allow_gain": False,
                                        "attrs": {},
                                        "conductivity": 0.0,
                                        "frequency_range": None,
                                        "heat_spec": None,
                                        "modulation_spec": None,
                                        "name": None,
                                        "nonlinear_spec": None,
                                        "permittivity": 44.0,
                                        "type": "Medium",
                                        "viz_spec": None,
                                    },
                                },
                            },
                        },
                    ],
                },
                {
                    "itemSpan": 24,
                    "label": "Tl Metal",
                    "name": "tl_metal",
                    "tooltip": "TL and heater metal medium.",
                    "type": "subForm",
                    "children": [
                        {
                            "type": "medium",
                            "name": "optical",
                            "hideLabel": True,
                            "prefix": "Optical",
                            "defaults": {
                                "type": "material_library",
                                "value": {"path": ["Au", "JohnsonChristy1972"]},
                            },
                        },
                        {
                            "type": "medium",
                            "name": "electrical",
                            "hideLabel": True,
                            "prefix": "Electrical",
                            "defaults": {
                                "type": "constructor",
                                "value": {
                                    "conductivity": 41.0,
                                    "fit_param": {
                                        "attrs": {},
                                        "frequency_sampling_points": 20,
                                        "log_sampling": True,
                                        "max_num_poles": 16,
                                        "tolerance_rms": 0.001,
                                        "type": "SurfaceImpedanceFitterParam",
                                    },
                                    "frequency_range": (100000000.0, 100000000000.0),
                                    "type": "LossyMetalMedium",
                                },
                            },
                        },
                    ],
                },
                {
                    "defaults": {
                        "type": "constructor",
                        "value": {"name": "Opening", "permittivity": 1.0, "type": "Medium"},
                    },
                    "label": "Opening",
                    "name": "opening",
                    "tooltip": "Medium for openings.",
                    "type": "medium",
                },
            ],
            "function": "lnoi400",
            "label": "LNOI400",
        }
    ],
}
